<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Models\User;
use App\Providers\RouteServiceProvider;
use Illuminate\Http\Request;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Str;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    protected $maxAttempts = 3; // Default is 5
    protected $decayMinutes = 2; // Default is 1

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    // protected $redirectTo = RouteServiceProvider::HOME;
    protected $redirectTo = '/';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    protected function credentials(Request $request)
    {
        if (filter_var($request->get('email'), FILTER_VALIDATE_EMAIL)) {
            return [
                'email' => $request->get('email'),
                'password' => $request->get('password')
            ];
        } else {
            return [
                'username' => $request->get('email'),
                'password' => $request->get('password')
            ];
        }
    }

    public function authenticated(Request $request, $user)
    {
        if ($user->hasRole('Super Admin')) {
            
                return redirect()->route('dashboard');
                
            
        } else {
            return redirect()->route('dashboard_employee');
        }

        
    }

    protected function validateLogin(Request $request)
    {
        if(is_numeric($request->get('email'))){
            return [
                'phone'=>$request->get('email'),
                'password'=>$request->get('password')
            ];
        }
        elseif (filter_var($request->get('email'), FILTER_VALIDATE_EMAIL)) {
            return [
                'email' => $request->get('email'),
                'password'=>$request->get('password')
            ];
        }
        return [
            'slug' => $request->get('email'),
            'password'=>$request->get('password')
        ];
    }

   
}
