<?php

namespace App\Http\Controllers;

use App\Models\CardStatus;
use App\Models\CardTask;
use App\Models\Project;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class CardTaskController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        return $this->middleware('auth:web');
          
    }

    public function index()
    {
        $cardstatus = CardStatus::with('Tasks')->get();
        
        
        // $todo = CardTask::get();
        // $new = CardStatus::where('sorter',1)->select('status_name')->first();
        // $progress = CardStatus::where('sorter',2)->select('status_name')->first();
        // $pending = CardStatus::where('sorter',3)->select('status_name')->first();
        // $done = CardStatus::where('sorter',4)->select('status_name')->first();
        $pj = Project::get();
        // $todonew = CardTask::where('cardstatus_id',1)->orderBy('order')->get();
        // $todoprogress = CardTask::where('cardstatus_id',2)->orderBy('order')->get();
        // $todopending = CardTask::where('cardstatus_id',3)->orderBy('order')->get();
        // $tododone = CardTask::where('cardstatus_id',4)->orderBy('order')->get();
        // $counttasknew = CardTask::where('created_by',Auth::id())->where('cardstatus_id',1)->count();
        // $counttaskprogress = CardTask::where('created_by',Auth::id())->where('cardstatus_id',2)->count();
        // $counttaskpending = CardTask::where('created_by',Auth::id())->where('cardstatus_id',3)->count();
        // $counttaskdone = CardTask::where('created_by',Auth::id())->where('cardstatus_id',4)->count();
        
        return view('admin.todo.index',compact('cardstatus','pj'));
        // return view('admin.todo.index',compact('todo','todonew','todoprogress','todopending','tododone','pj','counttasknew','counttaskprogress','counttaskpending','counttaskdone','cardstatus','new','progress','pending','done'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validateData= $request->validate(
            [                               
                'task_name'    =>  'required',
                'duedate'  => 'required',                
            ],
            [
                'task_name.required'   => 'Title can not be empty!',
                'duedate.required' => 'Due Date can not be empty!',
               
            ]);

        $todo = new CardTask;
        $todo->task_name = $request->task_name;
        $todo->description = $request->description;
        $todo->project_id = $request->project_id;
        $todo->cardstatus_id = 1;
        $todo->status = $request->status;
        $todo->duedate = date('Y-m-d', strtotime($request->duedate));
        $todo->created_by = Auth::id();

        // dd($todo);
        $todo->save();

        return redirect()->route('todo.index')->with('success', 'Successfully Created');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Request $request)
    {
        $todo = CardTask::findOrFail($request->get('id'));
        echo json_encode($todo);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Request $request)
    {
        $todo = CardTask::findOrFail($request->get('id'));
        // $pj = Project::all();
        echo json_encode($todo);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        CardTask::findOrFail($request->input('idtask'))->update([
            'task_name'     => $request->task_name,
            'status'        => $request->status,
            'project_id'    => $request->project_id,
            'description'   => $request->description,
            'cardstatus_id' => $request->cardstatus_id,
            'duedate'       => $request->duedate,
            'updated_by'    => Auth::id(),
            'updated_at'    => Carbon::now(),
        ]);

        return redirect()->route('todo.index')->with('success', 'Successfully Updated');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function SoftDelete($id)
    {
        $todo = CardTask::findOrFail(decrypt($id));
        $todo->deleted_by = Auth::id();
        $todo->save();
        $todo->delete();
        return redirect()->route('todo.index')->with('success', 'Successfully Deletde');
    }

    public function recycle()
    {
        $todo = CardTask::onlyTrashed()->orderBy('created_at','DESC')->get();
        return view('admin.todo.recycle',compact('todo'));
    }

    public function restore($id)
    {
        $delete = CardTask::withTrashed()->findOrFail(decrypt($id))->restore();        
        return redirect()->route('todo.index')->with('success','successfully Restore');
    }


    public function destroy($id)
    {
        $delete = CardTask::withTrashed()->findOrFail(decrypt($id));
        $delete->forceDelete();
        return redirect()->route('todo.index')->with('success','Successfully Deleted Permanent');
    }

    public function editstatus(Request $request)
    {
        $input = $request->all();

        // $todo = CardTask::where('')
    }

    public function updateTask(Request $request)
    {
    	$input = $request->all();

    	foreach ($input['newArr'] as $key => $val) {
    		$key = $key+1;
    		CardTask::where('id',$val)->update(['cardstatus_id'=>1,'order'=>$key]);
    	}

    	foreach ($input['progressArr'] as $key => $val) {
    		$key = $key+1;
    		CardTask::where('id',$val)->update(['cardstatus_id'=>2,'order'=>$key]);
    	}

        foreach ($input['pendingArr'] as $key => $val) {
    		$key = $key+1;
    		CardTask::where('id',$val)->update(['cardstatus_id'=>3,'order'=>$key]);
    	}

        foreach ($input['doneArr'] as $key => $val) {
    		$key = $key+1;
    		CardTask::where('id',$val)->update(['cardstatus_id'=>4,'order'=>$key]);
    	}

    	return response()->json(['status'=>'success']);
    }

    public function updateStatus(Request $request){
        $key = 0;
        foreach(explode(',',$request->task_id) as $task_id){
            $todo = CardTask::findOrFail($task_id);
            if(!empty($todo)){
                $key = $key+1;
                $todo->cardstatus_id = $request->status_id;
                $todo->order = $key;
                $todo->save();
            }
        }
        if($key > 0){
            return response()->json(['status'=>'success']);
        }
        
        return response()->json(['status'=>'failed']);
    }
}
