<?php

namespace App\Http\Controllers;

use App\Models\ActualGanttTask;
use App\Models\Employee;
use App\Models\GanttCode;
use App\Models\GanttTask;
use App\Models\Project;
use App\Models\RefDivisi;
use App\Models\RoleDemo;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class GanttController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    protected $prefix_aktual = 'A-';
    protected $prefix_planning = 'P-';
    protected $label_actual = '==Aktualisasi==';

    public function __construct()
    {
        return $this->middleware('auth:web');
         
    }

    public function index()
    {
        $cekuserlogin = Auth::user()->employee;
        $mgrjabatan = substr(Auth::user()->employee->jabatanid,0,8);
        $steps = Project::select('step')->get();
        

        if(strlen(Auth::user()->employee->jabatanid)==8)
        {
            $project = Project::where('step',2)                
                        ->where('jabatanid','like',substr(Auth::user()->employee->jabatanid,0,7).'%')
                        ->select('projects.*')
                        ->get();
        }
        if(strlen(Auth::user()->employee->jabatanid)==6)
        {
            $project = Project::where('step',3)                
                        ->where('jabatanid','like',substr(Auth::user()->employee->jabatanid,0,6).'%')
                        ->select('projects.*')
                        ->get();
        }
        if(strlen(Auth::user()->employee->jabatanid)==10)
        {
            $project = Project::where('created_by',Auth::user()->employee->user_id)->get();
        }
        
        
        
        return view('admin.gantt.index', compact('project'));
    }

    public function gantt($id, Request $request)
    {
        $project = Project::findOrFail(decrypt($id));
        // $tmp[] = array("id" => $id, "name" => $project->project_name, "progress" => 0, "progressByWorklog" => false, "relevance" => 0, "type" => "", "typeId" => "", "description" => "", "code" => "", "level" => 0, "status" => "STATUS_ACTIVE", "depends" => "", "canWrite" => true, "start" => strtotime($project->start_date)*1000, "duration" => $project->duration, 
                // "end" => strtotime(date('Y-m-d H:i:s', strtotime($project->start_date.'+'.$project->duration.' days')))*1000, "startIsMilestone" => false, "endIsMilestone" => false, "collapsed" => false, "assigs" => [], "hasChild" => true);
        $i = 0;
        $level = $is_level = 0;

        $progress = 0;

        $tmp_datas = $project->Ganttask;

        $t_progress_1 = $tmp_datas->where('level',1)->where('hasChild',0)->sum('progress');
        $t_progress_2 = $tmp_datas->where('level',2)->sum('progress');
        $c_progress_1 = $tmp_datas->where('level',1)->where('hasChild',0)->count();
        $c_progress_2 = $tmp_datas->where('level',2)->count();
        $budget_1 = $tmp_datas->where('level',1)->where('hasChild',0)->sum('task_budget');
        $budget_2 = $tmp_datas->where('level',2)->sum('task_budget');
        
        foreach($tmp_datas as $wbs){
            // $tgl[] = array(
            //     'awal db' => $wbs->start_date,
            //     'awal' => date('Y-m-d H:i:s', strtotime($wbs->start_date)),
            //     'awal milisecond' => strtotime($wbs->start_date)*1000,
            //     'durasi' => $wbs->duration,
            //     'akhir' => date('Y-m-d H:i:s', strtotime($wbs->start_date.'+'.$wbs->duration.' days')),
            //     'akhir milisecond' => strtotime($wbs->start_date.'+'.$wbs->duration.' days')*1000,
            // );
            if($wbs->id == $project->gantttask_id) $wbs_id = 0;
            else $wbs_id = ++$i;

            if($wbs->level == 0) {
                $progress = ($c_progress_1+$c_progress_2 == 0? 0 : round(($t_progress_1+$t_progress_2)/($c_progress_1+$c_progress_2)) );
                $task_budget = $budget_1 + $budget_2;
            }
            else {
                $progress = $wbs->progress;
                $task_budget = $wbs->task_budget;
            }

            $cek_child = $tmp_datas->where('level',$wbs->id)->first();

            $has_child = false;
            if(!empty($cek_child)) {
                $has_child = true;
            }
            // if(count($tmp_datas)==1 && $level==0){
            //     $has_child = true;
            // }
            // if(!empty($cek_child) and $id == 1){
            //     $is_level = $level;
            // }else
            if(!empty($cek_child)){
                $is_level = $level+1;
            }else{
                $is_level++;
            }
            $ids[$wbs->id] = $id; 

            // $tmp[] = array("id" => $id, "name" => $wbs->text, "progress" => 0, "progressByWorklog" => false, "relevance" => 0, "type" => "", "typeId" => "", "description" => "", "code" => "", "level" => (int)$is_level, "status" => "STATUS_ACTIVE", "depends" => (string)($wbs->parent>0?strval($ids[$wbs->parent]):""), "canWrite" => true, "start" => (int)Carbon::parse($wbs->start_date)->isoFormat('x'), "duration" => $wbs->duration, "end" => (int)Carbon::parse($wbs->start_date)->addDays($wbs->duration)->isoFormat('x'), "startIsMilestone" => false, "endIsMilestone" => false, "collapsed" => false, "assigs" => [], "hasChild" => $has_child);
        
            if($project->status=='Started'){
                $tmp[] = array("id" => $wbs->id,'code'=>$wbs->code,'project_id'=>$wbs->project_id, "name" => $wbs->name, "progress" => $progress, "progressByWorklog" => ($wbs->progressByWorklog==1?true:false), "relevance" => $wbs->relevance, "type" => "", "typeId" => "", "description" => $wbs->description, "level" => (int)$wbs->level, "status" => "STATUS_ACTIVE", "depends" => ($wbs->depends??""), "task_budget" => ($wbs->task_budget??""), "start" => strtotime($wbs->start)*1000, "duration" => $wbs->duration, 
                    "end" => strtotime($wbs->end)*1000, "startIsMilestone" => ($wbs->startIsMilestone==1?true:false), "endIsMilestone" => ($wbs->endIsMilestone==1?true:false), "collapsed" => ($wbs->collapsed==1?true:false),"assigs" => json_decode($wbs->assigs), "hasChild" => ($wbs->hasChild==1?true:false), "task_budget" => number_format($task_budget), "canWrite" => false, "canAdd" => false, "canDelete" => false, "canAddIssue" => false);
            }else{
                $tmp[] = array("id" => $wbs->id,'code'=>$wbs->code,'project_id'=>$wbs->project_id, "name" => $wbs->name, "progress" => $progress, "progressByWorklog" => ($wbs->progressByWorklog==1?true:false), "relevance" => $wbs->relevance, "type" => "", "typeId" => "", "description" => $wbs->description, "level" => (int)$wbs->level, "status" => "STATUS_ACTIVE", "depends" => ($wbs->depends??""), "task_budget" => ($wbs->task_budget??""), "start" => strtotime($wbs->start)*1000, "duration" => $wbs->duration, 
                    "end" => strtotime($wbs->end)*1000, "startIsMilestone" => ($wbs->startIsMilestone==1?true:false), "endIsMilestone" => ($wbs->endIsMilestone==1?true:false), "collapsed" => ($wbs->collapsed==1?true:false),"assigs" => json_decode($wbs->assigs), "hasChild" => ($wbs->hasChild==1?true:false), "task_budget" => number_format($task_budget), "canWrite" => ($wbs->canWrite==1?true:false), "canAdd" => ($wbs->canAdd==1?true:false), "canDelete" => ($wbs->canDelete==1?true:false), "canAddIssue" => ($wbs->canAddIssue==1?true:false));
            }
        }
        

            // dd($tmp);
        
        // $dua = [date('Y-m-d H:i:s',1396994400000/1000), date('Y-m-d H:i:s',1399586399999/1000)];
        // dd($dua,$tgl);
        // $employee = Employee::orderBy('nama', 'asc')->get();
        $roless = RoleDemo::select("id","nama")->get();
        foreach($roless as $val){
            $roles[] = array('id'=>'tmp_'.$val->id, 'name'=>$val->nama);
        }
        // $employees = Employee::select("user_id","nama")->orderBy('nama')->get();

        $project_data = Project::where('id', decrypt($id))
        ->select('team_member', 'project_manager', 'project_owner')
        ->first();


        if ($project_data) {

        $team_member_data = [
            $project_data->team_member,
            $project_data->project_manager,
            $project_data->project_owner
        ];


        $imploded_team_member_data = implode(',', $team_member_data);


        $employees = Employee::select("user_id", "name")
            ->whereIn('email', explode(',', $imploded_team_member_data))
            ->orderBy('name')
            ->get();


        $imploded_data = implode(', ', $employees->pluck('name')->toArray());


        } 
        
        foreach($employees as $val){
            $employee[] = array('id'=>'tmp_'.$val->user_id, 'name'=>$val->name);
        }

        if($project->status=='Started'){
            $wbs_datas = json_encode(array("tasks" => $tmp, "selectedRow" => 2,"deletedTaskIds"=>array(),
            "resources"=>$employee,"roles"=>$roles,"canWrite" => false, "canDelete" => false, "canWriteOnParent" => false, 
            "canAdd" => false,"canCollapseAll" => false,"canExpandAll" => false));

            $gantt_status = $request->gantt_status;
        }else{
            $wbs_datas = json_encode(array("tasks" => $tmp, "selectedRow" => 2,"deletedTaskIds"=>array(),
            "resources"=>$employee,"roles"=>$roles,"canWrite" => true, "canDelete" => true, "canWriteOnParent" => true, 
            "canAdd" => true,"canCollapseAll" => true,"canExpandAll" => true));

            $gantt_status = '';
        }

        $gantt_codes = GanttCode::orderBy('sortable')->get();
        
       
        return view('admin.gantt.gantt', compact('id', 'project', 'employee','wbs_datas','gantt_status','gantt_codes'));
    }

    public function gantchartstarted($id, Request $request)
    {
        $project = Project::findOrFail(decrypt($id));
        // $tmp[] = array("id" => $id, "name" => $project->project_name, "progress" => 0, "progressByWorklog" => false, "relevance" => 0, "type" => "", "typeId" => "", "description" => "", "code" => "", "level" => 0, "status" => "STATUS_ACTIVE", "depends" => "", "canWrite" => true, "start" => strtotime($project->start_date)*1000, "duration" => $project->duration, 
                // "end" => strtotime(date('Y-m-d H:i:s', strtotime($project->start_date.'+'.$project->duration.' days')))*1000, "startIsMilestone" => false, "endIsMilestone" => false, "collapsed" => false, "assigs" => [], "hasChild" => true);
        $i = 0;
        $level = $is_level = 0;

        $progress = 0;

        $tmp_datas = $project->Ganttask;

        $t_progress_1 = $tmp_datas->where('level',1)->where('hasChild',0)->sum('progress');
        $t_progress_2 = $tmp_datas->where('level',2)->sum('progress');
        $c_progress_1 = $tmp_datas->where('level',1)->where('hasChild',0)->count();
        $c_progress_2 = $tmp_datas->where('level',2)->count();
        $budget_1 = $tmp_datas->where('level',1)->where('hasChild',0)->sum('task_budget');
        $budget_2 = $tmp_datas->where('level',2)->sum('task_budget');
        
        foreach($tmp_datas as $wbs){
            // $tgl[] = array(
            //     'awal db' => $wbs->start_date,
            //     'awal' => date('Y-m-d H:i:s', strtotime($wbs->start_date)),
            //     'awal milisecond' => strtotime($wbs->start_date)*1000,
            //     'durasi' => $wbs->duration,
            //     'akhir' => date('Y-m-d H:i:s', strtotime($wbs->start_date.'+'.$wbs->duration.' days')),
            //     'akhir milisecond' => strtotime($wbs->start_date.'+'.$wbs->duration.' days')*1000,
            // );
            if($wbs->id == $project->gantttask_id) $wbs_id = 0;
            else $wbs_id = ++$i;

            if($wbs->level == 0) {
                $progress = ($c_progress_1+$c_progress_2 == 0? 0 : round(($t_progress_1+$t_progress_2)/($c_progress_1+$c_progress_2)) );
                $task_budget = $budget_1 + $budget_2;
            }
            else {
                $progress = $wbs->progress;
                $task_budget = $wbs->task_budget;
            }

            $cek_child = $tmp_datas->where('level',$wbs->id)->first();

            $has_child = false;
            if(!empty($cek_child)) {
                $has_child = true;
            }
            // if(count($tmp_datas)==1 && $level==0){
            //     $has_child = true;
            // }
            // if(!empty($cek_child) and $id == 1){
            //     $is_level = $level;
            // }else
            if(!empty($cek_child)){
                $is_level = $level+1;
            }else{
                $is_level++;
            }
            $ids[$wbs->id] = $id; 

            // $tmp[] = array("id" => $id, "name" => $wbs->text, "progress" => 0, "progressByWorklog" => false, "relevance" => 0, "type" => "", "typeId" => "", "description" => "", "code" => "", "level" => (int)$is_level, "status" => "STATUS_ACTIVE", "depends" => (string)($wbs->parent>0?strval($ids[$wbs->parent]):""), "canWrite" => true, "start" => (int)Carbon::parse($wbs->start_date)->isoFormat('x'), "duration" => $wbs->duration, "end" => (int)Carbon::parse($wbs->start_date)->addDays($wbs->duration)->isoFormat('x'), "startIsMilestone" => false, "endIsMilestone" => false, "collapsed" => false, "assigs" => [], "hasChild" => $has_child);
        
        
            $tmp[] = array("id" => $wbs->id,'project_id'=>$wbs->project_id, "name" => $wbs->name, "progress" => $progress, "progressByWorklog" => ($wbs->progressByWorklog==1?true:false), "relevance" => $wbs->relevance, "type" => "", "typeId" => "", "description" => $wbs->description, "code" => "", "level" => (int)$wbs->level, "status" => "STATUS_ACTIVE", "depends" => ($wbs->depends??""), "task_budget" => ($wbs->task_budget??""), "start" => strtotime($wbs->start)*1000, "duration" => $wbs->duration, 
            "end" => strtotime(date('Y-m-d H:i:s', strtotime($wbs->end.'+'.$wbs->duration.' days')))*1000, "startIsMilestone" => ($wbs->startIsMilestone==1?true:false), "endIsMilestone" => ($wbs->endIsMilestone==1?true:false), "collapsed" => ($wbs->collapsed==1?true:false), "canWrite" => ($wbs->canWrite==1?true:false), "canAdd" => ($wbs->canAdd==1?true:false), "canDelete" => ($wbs->canDelete==1?true:false), "canAddIssue" => ($wbs->canAddIssue==1?true:false),"assigs" => json_decode($wbs->assigs), "hasChild" => ($wbs->hasChild==1?true:false), "task_budget" => number_format($task_budget));
        }
        

            // dd($tmp);
        
        // $dua = [date('Y-m-d H:i:s',1396994400000/1000), date('Y-m-d H:i:s',1399586399999/1000)];
        // dd($dua,$tgl);
        // $employee = Employee::orderBy('nama', 'asc')->get();
        $roless = RoleDemo::select("id","nama")->get();
        foreach($roless as $val){
            $roles[] = array('id'=>'tmp_'.$val->id, 'name'=>$val->nama);
        }
        $employees = Employee::select("user_id","nama")->get();
        foreach($employees as $val){
            $employee[] = array('id'=>'tmp_'.$val->user_id, 'name'=>$val->nama);
        }
        $wbs_datas = json_encode(array("tasks" => $tmp, "selectedRow" => 2,"deletedTaskIds"=>array(),
            "resources"=>$employee,"roles"=>$roles,"canWrite" => true, "canDelete" => true, "canWriteOnParent" => true, 
            "canAdd" => true,"canCollapseAll" => true,"canExpandAll" => true));
        // $employee = Employee::orderBy('nama', 'asc')->get();
        // dd($roles);
        // return view('admin.manage_project.jquery_gantt', compact('id', 'project', 'employee','wbs_datas'));
        // return view('admin.manage_project.jgantt', compact('id', 'project', 'employee','wbs_datas'));
        return view('admin.gantt.gantchartstarted', compact('id', 'project', 'employee','wbs_datas'));
    }

    public function ganttAktualisasi($id)
    {
        $project = Project::findOrFail(decrypt($id));
        // $tmp[] = array("id" => $id, "name" => $project->project_name, "progress" => 0, "progressByWorklog" => false, "relevance" => 0, "type" => "", "typeId" => "", "description" => "", "code" => "", "level" => 0, "status" => "STATUS_ACTIVE", "depends" => "", "canWrite" => true, "start" => strtotime($project->start_date)*1000, "duration" => $project->duration, 
                // "end" => strtotime(date('Y-m-d H:i:s', strtotime($project->start_date.'+'.$project->duration.' days')))*1000, "startIsMilestone" => false, "endIsMilestone" => false, "collapsed" => false, "assigs" => [], "hasChild" => true);
        

            
        $i = 0;
        $level = $is_level = 0;
        $tmp_datas = $project->Ganttask;
        /*
        foreach($tmp_datas as $wbs){
            // $tgl[] = array(
            //     'awal db' => $wbs->start_date,
            //     'awal' => date('Y-m-d H:i:s', strtotime($wbs->start_date)),
            //     'awal milisecond' => strtotime($wbs->start_date)*1000,
            //     'durasi' => $wbs->duration,
            //     'akhir' => date('Y-m-d H:i:s', strtotime($wbs->start_date.'+'.$wbs->duration.' days')),
            //     'akhir milisecond' => strtotime($wbs->start_date.'+'.$wbs->duration.' days')*1000,
            // );
            if($wbs->id == $project->gantttask_id) $wbs_id = 0;
            else $wbs_id = ++$i;
            $cek_child = $tmp_datas->where('level',$wbs->id)->first();

            $has_child = false;
            if(!empty($cek_child)) {
                $has_child = true;
            }
            // if(count($tmp_datas)==1 && $level==0){
            //     $has_child = true;
            // }
            // if(!empty($cek_child) and $id == 1){
            //     $is_level = $level;
            // }else
            if(!empty($cek_child)){
                $is_level = $level+1;
            }else{
                $is_level++;
            }
            $ids[$wbs->id] = $id; 

            // $tmp[] = array("id" => $id, "name" => $wbs->text, "progress" => 0, "progressByWorklog" => false, "relevance" => 0, "type" => "", "typeId" => "", "description" => "", "code" => "", "level" => (int)$is_level, "status" => "STATUS_ACTIVE", "depends" => (string)($wbs->parent>0?strval($ids[$wbs->parent]):""), "canWrite" => true, "start" => (int)Carbon::parse($wbs->start_date)->isoFormat('x'), "duration" => $wbs->duration, "end" => (int)Carbon::parse($wbs->start_date)->addDays($wbs->duration)->isoFormat('x'), "startIsMilestone" => false, "endIsMilestone" => false, "collapsed" => false, "assigs" => [], "hasChild" => $has_child);

        
            $tmp[] = array("id" => $wbs->id,'project_id'=>$wbs->project_id, "name" => $wbs->name, "progress" => $wbs->progress, "progressByWorklog" => ($wbs->progressByWorklog==1?true:false), "relevance" => $wbs->relevance, "type" => "", "typeId" => "", "description" => $wbs->description, "code" => "", "level" => (int)$wbs->level, "status" => "STATUS_ACTIVE", "depends" => ($wbs->depends??""), "start" => strtotime($wbs->start)*1000, "duration" => $wbs->duration, 
            "end" => strtotime(date('Y-m-d H:i:s', strtotime($wbs->end.'+'.$wbs->duration.' days')))*1000, "startIsMilestone" => ($wbs->startIsMilestone==1?true:false), "endIsMilestone" => ($wbs->endIsMilestone==1?true:false), "collapsed" => ($wbs->collapsed==1?true:false), "canWrite" => false, "canAdd" => false, "canDelete" => false, "canAddIssue" => ($wbs->canAddIssue==1?true:false),"assigs" => json_decode($wbs->assigs), "hasChild" => ($wbs->hasChild==1?true:false), "task_budget" => $wbs->task_budget);        

            
        }
        
        $tmp[] = array("id" => "B-".($wbs->id+1),'project_id'=>'', "name" => '================', "progress" => '', "progressByWorklog" => '', "relevance" => '', "type" => "", "typeId" => "", "description" => '', "code" => "", "level" => '', "status" => "STATUS_ACTIVE", "depends" => '', 
            "start" => '', "duration" => '', "end" => '', "startIsMilestone" => '', "endIsMilestone" => '', "collapsed" => false, "canWrite" => false, "canAdd" => false, "canDelete" => false, "canAddIssue" => '',"assigs" => [], "hasChild" => false, "task_budget" => '');
        $tmp[] = array("id" => "B-".($wbs->id+2),'project_id'=>'', "name" => $this->label_actual, "progress" => '', "progressByWorklog" => '', "relevance" => '', "type" => "", "typeId" => "", "description" => '', "code" => "", "level" => '', "status" => "STATUS_ACTIVE", "depends" => '', 
            "start" => '', "duration" => '', "end" => '', "startIsMilestone" => '', "endIsMilestone" => '', "collapsed" => false, "canWrite" => false, "canAdd" => false, "canDelete" => false, "canAddIssue" => '',"assigs" => [], "hasChild" => false, "task_budget" => '');
            */
        $tmp = array();
        
        //aktualnya
        $progress = 0;
        $actual = $project->GanttaskActual;
        
        //get total progress
        $t_progress_1 = $actual->where('level',1)->where('hasChild',0)->sum('progress');
        $t_progress_2 = $actual->where('level',2)->sum('progress');
        $c_progress_1 = $actual->where('level',1)->where('hasChild',0)->count();
        $c_progress_2 = $actual->where('level',2)->count();
        $budget_1 = $actual->where('level',1)->where('hasChild',0)->sum('task_budget');
        $budget_2 = $actual->where('level',2)->sum('task_budget');
        // dd($t_progress, count($tmp_datas->where('level',2)));
        foreach($actual as $wbsactual){
            
            // if($wbs->level == 0) $progress = round($t_progress/(count($tmp_datas->where('level',2))),1);
            // else $progress = $wbs->progress;
            // $cek_child = $tmp_datas->where('level',$wbs->id)->first();

            // $has_child = false;
            // if(!empty($cek_child)) {
            //     $has_child = true;
            // }
            
            // if(!empty($cek_child)){
            //     $is_level = $level+1;
            // }else{
            //     $is_level++;
            // }
            // $ids[$wbs->id] = $id;
            // $count()
            if($wbsactual->level == 0) {
                $progress = ($c_progress_1+$c_progress_2 == 0? 0 : round(($t_progress_1+$t_progress_2)/($c_progress_1+$c_progress_2)) );
                $task_budget = $budget_1 + $budget_2;
            }else {
                $progress = $wbsactual->progress;
                $task_budget = $wbsactual->task_budget;
            }
            $cek_child = $actual->where('level',$wbsactual->id)->first();

            $has_child = false;
            if(!empty($cek_child)) {
                $has_child = true;
            }
            
            if(!empty($cek_child)){
                $is_level = $level+1;
            }else{
                $is_level++;
            }
            $ids[$wbsactual->id] = $id; 

            // $tmp[] = array("id" => $id, "name" => $wbs->text, "progress" => 0, "progressByWorklog" => false, "relevance" => 0, "type" => "", "typeId" => "", "description" => "", "code" => "", "level" => (int)$is_level, "status" => "STATUS_ACTIVE", "depends" => (string)($wbs->parent>0?strval($ids[$wbs->parent]):""), "canWrite" => true, "start" => (int)Carbon::parse($wbs->start_date)->isoFormat('x'), "duration" => $wbs->duration, "end" => (int)Carbon::parse($wbs->start_date)->addDays($wbs->duration)->isoFormat('x'), "startIsMilestone" => false, "endIsMilestone" => false, "collapsed" => false, "assigs" => [], "hasChild" => $has_child);
        
            // $tmp[] = array("id" => $this->prefix_planning.$wbs->id,'project_id'=>$wbs->project_id, "name" => $wbs->name, "progress" => $progress, "progressByWorklog" => ($wbs->progressByWorklog==1?true:false), "relevance" => $wbs->relevance, "type" => "", "typeId" => "", "description" => $wbs->description, "code" => "", "level" => (int)$wbs->level, "status" => "STATUS_ACTIVE", "depends" => ($wbs->depends??""), "start" => strtotime($wbs->start)*1000, "duration" => $wbs->duration, 
            // "end" => strtotime(date('Y-m-d H:i:s', strtotime($wbs->end.'+'.$wbs->duration.' days')))*1000, "startIsMilestone" => ($wbs->startIsMilestone==1?true:false), "endIsMilestone" => ($wbs->endIsMilestone==1?true:false), "collapsed" => ($wbs->collapsed==1?true:false), "canWrite" => true, "canAdd" => false, "canDelete" => false, 
            // "canAddIssue" => ($wbs->canAddIssue==1?true:false),"assigs" => json_decode($wbs->assigs), "hasChild" => ($wbs->hasChild==1?true:false), "task_budget" => $wbs->task_budget);        
        
            $tmp[] = array("id" => $this->prefix_aktual.$wbsactual->id,'project_id'=>$wbsactual->project_id, "name" => $wbsactual->name, "progress" => $progress, "progressByWorklog" => ($wbsactual->progressByWorklog==1?true:false), "relevance" => $wbsactual->relevance, "type" => "", "typeId" => "", "description" => $wbsactual->description, "code" => "", "level" => (int)$wbsactual->level, "status" => $wbsactual->status, "depends" => ($wbsactual->depends??""), "start" => strtotime($wbsactual->start)*1000, "duration" => $wbsactual->duration, 
            "end" => strtotime(date('Y-m-d H:i:s', strtotime($wbsactual->end.'+'.$wbsactual->duration.' days')))*1000, "startIsMilestone" => ($wbsactual->startIsMilestone==1?true:false), "endIsMilestone" => ($wbsactual->endIsMilestone==1?true:false), "collapsed" => false, "canWrite" => true, "canAdd" => true, "canDelete" => true, 
            "canAddIssue" => ($wbsactual->canAddIssue==1?true:false),"assigs" => json_decode($wbsactual->assigs), "hasChild" => ($wbsactual->hasChild==1?true:false), "task_budget" => number_format($task_budget));
        }

            // dd($tmp);
        
        // $dua = [date('Y-m-d H:i:s',1396994400000/1000), date('Y-m-d H:i:s',1399586399999/1000)];
        // dd($dua,$tgl);
        // $employee = Employee::orderBy('nama', 'asc')->get();
        $roless = RoleDemo::select("id","nama")->get();
        foreach($roless as $val){
            $roles[] = array('id'=>'tmp_'.$val->id, 'name'=>$val->nama);
        }
        $employees = Employee::select("user_id","nama")->get();
        foreach($employees as $val){
            $employee[] = array('id'=>'tmp_'.$val->user_id, 'name'=>$val->nama);
        }
        $wbs_datas = json_encode(array("tasks" => $tmp, "selectedRow" => 2,"deletedTaskIds"=>array(),
            "resources"=>$employee,"roles"=>$roles,"canWrite" => true, "canDelete" => false, "canWriteOnParent" => true, 
            "canAdd" => true,"canCollapseAll" => false,"canExpandAll" => false));
        // $employee = Employee::orderBy('nama', 'asc')->get();
        // dd($roles);
        // return view('admin.manage_project.jquery_gantt', compact('id', 'project', 'employee','wbs_datas'));
        // return view('admin.manage_project.jgantt', compact('id', 'project', 'employee','wbs_datas'));
        return view('admin.gantt.gantt_aktual', compact('id', 'project', 'employee','wbs_datas'));
    }

    public function ganttAktualisasi_v2($id)
    {
        $project = Project::with('Ganttask','GanttaskActual')->findOrFail(decrypt($id));
         
        $i = 0;
        $level = $is_level = 0;
        $tmp_datas = $project->Ganttask;
        
        $tmp = array();
        
        //aktualnya
        $progress = 0;
        $actual = $project->GanttaskActual;
        
        //get total progress
        $t_progress_1 = $actual->where('level',1)->where('hasChild',0)->sum('progress');
        $t_progress_2 = $actual->where('level',2)->sum('progress');
        $c_progress_1 = $actual->where('level',1)->where('hasChild',0)->count();
        $c_progress_2 = $actual->where('level',2)->count();
        $budget_1 = $actual->where('level',1)->where('hasChild',0)->sum('task_budget');
        $budget_2 = $actual->where('level',2)->sum('task_budget');
        // dd($t_progress, count($tmp_datas->where('level',2)));
        foreach($actual as $wbsactual){
            
            
            // if($wbsactual->level == 0) {
            //     $progress = ($c_progress_1+$c_progress_2 == 0? 0 : round(($t_progress_1+$t_progress_2)/($c_progress_1+$c_progress_2)) );
            //     $task_budget = $budget_1 + $budget_2;
            // }else {
            //     $progress = $wbsactual->progress;
            //     $task_budget = $wbsactual->task_budget;
            // }
            $progress = $wbsactual->progress;
            $task_budget = $wbsactual->task_budget;
            $cek_child = $actual->where('level',$wbsactual->id)->first();

            $has_child = false;
            if(!empty($cek_child)) {
                $has_child = true;
            }
            
            if(!empty($cek_child)){
                $is_level = $level+1;
            }else{
                $is_level++;
            }
            $ids[$wbsactual->id] = $id; 

            //planning 
            $plan = $tmp_datas->where('id', $wbsactual->id)->first();
        
            $tmp[] = array("id" => $this->prefix_aktual.$wbsactual->id,'code'=>$wbsactual->code,'project_id'=>$wbsactual->project_id, "name" => $wbsactual->name, "progress" => $progress, "progressByWorklog" => ($wbsactual->progressByWorklog==1?true:false), "relevance" => $wbsactual->relevance, "type" => "", "typeId" => "", "description" => $wbsactual->description, "level" => (int)$wbsactual->level, "status" => $wbsactual->status, "depends" => ($wbsactual->depends??""), "start" => strtotime($wbsactual->start)*1000, "duration" => $wbsactual->duration, 
            "end" => strtotime($wbsactual->end)*1000, "startIsMilestone" => ($wbsactual->startIsMilestone==1?true:false), "endIsMilestone" => ($wbsactual->endIsMilestone==1?true:false), "collapsed" => false, "canWrite" => true, "canAdd" => true, "canDelete" => true, 
            "canAddIssue" => ($wbsactual->canAddIssue==1?true:false),"assigs" => json_decode($wbsactual->assigs), "hasChild" => ($wbsactual->hasChild==1?true:false), "task_budget" => number_format($task_budget),
            'planning_start'=>strtotime($plan->start??$wbsactual->start)*1000,"planning_end" => strtotime($plan->end??$wbsactual->end)*1000, "planning_task_budget" => $plan->task_budget??0);        
        }

            // dd($tmp);
        
        $roless = RoleDemo::select("id","nama")->get();
        foreach($roless as $val){
            $roles[] = array('id'=>'tmp_'.$val->id, 'name'=>$val->nama);
        }




        $project_data = Project::where('id', decrypt($id))
        ->select('team_member', 'project_manager', 'project_owner')
        ->first();


        if ($project_data) {

        $team_member_data = [
            $project_data->team_member,
            $project_data->project_manager,
            $project_data->project_owner
        ];


        $imploded_team_member_data = implode(',', $team_member_data);


        $employees = Employee::select("user_id", "name")
            ->whereIn('email', explode(',', $imploded_team_member_data))
            ->orderBy('name')
            ->get();


        $imploded_data = implode(', ', $employees->pluck('name')->toArray());


        } 

       

    //    $imploded_data = implode(', ', $employees->pluck('nama')->toArray());

            // dd($employees);
        foreach($employees as $val){
            $employee[] = array('id'=>'tmp_'.$val->user_id, 'name'=>$val->nama);
        }
        $wbs_datas = json_encode(array("tasks" => $tmp, "selectedRow" => 2,"deletedTaskIds"=>array(),
            "resources"=>$employee,"roles"=>$roles,"canWrite" => true, "canDelete" => false, "canWriteOnParent" => true, 
            "canAdd" => true,"canCollapseAll" => false,"canExpandAll" => false));
        
        return view('admin.gantt.gantt_aktual_v2', compact('id', 'project', 'employee','wbs_datas'));
    }

    public function ganttAktualisasiFrame($id){
        return view('admin.gantt.gantt_aktual_frame', compact('id'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data_all = json_decode($request->data);
        
        $i = 1;
        $project_id = null;
        $data_tasks = $data_all->tasks;
        foreach($data_tasks as $key=>$tasks){
            
            //parent
            $has_child = 0;
            if($tasks->level == 1) {
                $next_key = $key+1;
                if(!empty($data_tasks[$next_key])){
                    $next_row = $data_tasks[$next_key];
                    if($next_row->level == 2) $has_child = 1;
                    unset($next_row);
                }
            }

            if($i == 1) {
                $project_id = $tasks->project_id;
                $has_child = 1;
            }
            
            // echo $key;
            if($tasks->level>=2){
                $next_key = $key+1;
                $next_data = array();
                if(!empty($data_tasks[$next_key])){
                    $next_data = $data_tasks[$next_key];
                    if($tasks->level < $next_data->level){
                        $has_child = 1;
                    }
                    
                }
                // if($tasks->name == 'Struktur Bawah') dd($key,$next_key,$tasks->level, $tasks->name, $tasks->hasChild, $next_data->level, $has_child, $next_data->name);             
                // unset($next_data);
            }
            
            if(is_numeric($tasks->id)){
                $task = GanttTask::findorfail($tasks->id);
            }else{
                $task = new GanttTask();
            }

            // if($task->hasChild = 'false')
            // {
            //     $taskhasChild = 0;
            // } elseif($task->hasChild = 'true') {
            //     $taskhasChild = 1;
            // }

            // if($task->startIsMilestone = true)
            // {
            //     $taskstartIsMilestone = 1;
            // } elseif($task->startIsMilestone = false) {
            //     $taskstartIsMilestone = 0;
            // }

            // if($task->startIsMilestone = true){
            //     foreach($task->startisMilestone as $startm)
            //     {
            //         $startm = $task->startIsMilestone = 1;
            //     }
            // }

            //get pm_id
            $pm_id = NULL;
            if(!empty($tasks->assigs)){
                $assignee = (array)$tasks->assigs;;
                $pm_id = str_replace('tmp_','', $assignee[0]->resourceId);
            }
                
            $task->project_id = $project_id;
            $task->code = $tasks->code??'';
            $task->sortable = $key;
            $task->name = $tasks->name;
            $task->progress = $tasks->progress??0;
            // $task->description = $tasks->description;
            $task->level = $tasks->level;
            $task->status = $tasks->status;
            $task->depends = $tasks->depends;
            $task->startIsMilestone = $tasks->startIsMilestone==true?1:0;
            $task->endIsMilestone = $tasks->endIsMilestone==true?1:0;
            if(isset($tasks->collapsed)) {$task->collapsed = $tasks->collapsed==true?1:0;}
            $task->canWrite = $tasks->canWrite==true?1:0;
            $task->canAdd = $tasks->canAdd==true?1:0;
            $task->canDelete = $tasks->canDelete==true?1:0;
            $task->canAddIssue = $tasks->canAddIssue==true?1:0;
            $task->start = date('Y-m-d H:i:s', $tasks->start/1000);
            $task->end = date('Y-m-d H:i:s', $tasks->end/1000);
            $task->duration = $tasks->duration;
            $task->assigs = json_encode($tasks->assigs);
            $task->task_budget = !empty($tasks->task_budget)? str_replace(['.',','],'',$tasks->task_budget):0;
            $task->pm_id = $pm_id;
            // $task->hasChild = $taskhasChild;
            $task->hasChild = $has_child;//$task->hasChild==true?1:0;
            $task->created_by = Auth::id();
            $task->updated_by = Auth::id();
            $task->save();

            $i++;
        }

        if(!empty($data_all->deletedTaskIds)){
            foreach($data_all->deletedTaskIds as $deltask)
            {
                GanttTask::findOrFail($deltask)->delete();
            }
        }

        // itung ulang progress & budget
        if(!empty($project_id)){

            //itung budget utk subparent
            $level_1 = GanttTask::where('project_id', $project_id)->where('level',1)->orderBy('sortable')->get();
            foreach($level_1 as $key=>$val){
                $nkey = $key+1;
                if($val->hasChild == 1){
                    if(!empty($level_1[$nkey])){
                        $next_level = $level_1[$nkey];
                        $level_2 = GanttTask::where('project_id', $project_id)->where('level',2)->where('sortable','>',$val->sortable)->where('sortable','<',$next_level['sortable'])->get();
                        
                        if(!empty($level_2)){
                            $val->task_budget = $level_2->sum('task_budget');
                            // $val->progress = $level_2->sum('progress')/$level_2->count();
                            $val->save();
                        }
                    }else{
                        $level_2 = GanttTask::where('project_id', $project_id)->where('level',2)->where('sortable','>',$val->sortable)->get();
                        
                        if(!empty($level_2)){
                            $val->task_budget = $level_2->sum('task_budget');
                            // $val->progress = $level_2->sum('progress')/$level_2->count();
                            $val->save();
                        }
                    }
                }
            }
            
            $budget_all = GanttTask::where('project_id', $project_id)->where('level',1)->orderBy('sortable')->sum('task_budget');
            
            $parent = GanttTask::where('project_id', $project_id)->where('level',0)->first();
            
            $parent->task_budget = $budget_all;
            $parent->save();

            Project::where('id', $project_id)->update(['gantt_updated_at'=>now(),'gantt_updated_by'=>Auth::id(),'start_date'=>$parent->start,'end_date'=>$parent->end,'duration'=>$parent->duration]);
            
        }

        // return json_encode(['status'=>'ok', 'message'=>'Data berhasil disimpan!']);
        return response()->json(['status' => 'Ok', 'message'=>'Data Saved!'], 200);
    }

    public function storeAktual(Request $request)
    {
        $data_all = json_decode($request->data);
        $curdate = now();
        // dd($data_all);

        $i = 1;
        if(!empty($data_all)){
            $data_tasks = $data_all->tasks;
            $project_id = $data_tasks[0]->project_id;
            $proses = false;

            // data planning
            $planning = GanttTask::where('project_id', $project_id)->orderBy('sortable')->get();
            foreach($data_tasks as $key=>$tasks){
                // if($i == 1) $project_id = $tasks->project_id;
    
                if($tasks->name == $this->label_actual){
                    $proses = true;
                    continue;
                }
                
                // if($proses == true){
                    //parent
                    $has_child = 0;
                    if($tasks->level == 0) {
                        $has_child = 1;
                    }elseif($tasks->level == 1) {
                        $next_key = $key+1;
                        if(!empty($data_tasks[$next_key])){
                            $next_row = $data_tasks[$next_key];
                            if($next_row->level == 2) $has_child = 1;
                            unset($next_row);
                        }
                    }
                    
                    $task_id = str_replace($this->prefix_aktual,'',$tasks->id);
                    if(is_numeric($task_id)){
                        $task = ActualGanttTask::findorfail($task_id);
                    }else{
                        $task = new ActualGanttTask();
                    }
        
                    if($tasks->level>=2){
                        $next_key = $key+1;
                        $next_data = array();
                        if(!empty($data_tasks[$next_key])){
                            $next_data = $data_tasks[$next_key];
                            if($tasks->level < $next_data->level){
                                $has_child = 1;
                            }
                            
                        }
                        // if($tasks->name == 'Struktur Bawah') dd($key,$next_key,$tasks->level, $tasks->name, $tasks->hasChild, $next_data->level, $has_child, $next_data->name);             
                        // unset($next_data);
                    }

                    //get pm_id
                    $pm_id = NULL;
                    if(!empty($tasks->assigs)){
                        $assignee = (array)$tasks->assigs;;
                        $pm_id = str_replace('tmp_','', $assignee[0]->resourceId);
                    }
    
                    //compare tgl planning & aktual
                    $tmp_planning = $planning->where('id',$task_id)->first();
                    $tgl_planning = Carbon::parse($tmp_planning->start);
                    $tgl_aktual = Carbon::createFromTimestamp(($tasks->start/1000)+0);
                    $diff_start = $tgl_aktual->diffInDays($tgl_planning, false);
                    $tgl_akhir_planning = Carbon::parse($tmp_planning->end);
                    $tgl_akhir_aktual = Carbon::createFromTimestamp(($tasks->end/1000)+0);
                    $diff_akhir = $tgl_akhir_aktual->diffInDays($tgl_akhir_planning, false);
                    $waiting_status = $curdate->diffInDays($tgl_aktual, false);
                    $failed_status = $curdate->diffInDays($tmp_planning->end, false);
                    // if($key == 9) dd($tgl_planning, $tgl_aktual, $waiting_status,$diff_start);
                    
                    if($tasks->progress >= 100){
                        $status = "STATUS_DONE";
                    }elseif($failed_status < 0 and $diff_akhir < 0 ){
                        $status = "STATUS_FAILED";
                    }elseif($diff_start < 0 ){
                        $status = "STATUS_SUSPENDED";
                    }elseif($waiting_status > 0){
                        $status = "STATUS_UNDEFINED";
                    }else{
                        $status = "STATUS_ACTIVE";
                    }
    // if($tasks->name =="Pondasi Tiang Contingous") dd($tgl_akhir_planning, $tgl_akhir_aktual,$diff_akhir,$status);
                    $task->project_id = $project_id;
                    $task->code = $tasks->code??'';
                    $task->sortable = $key;
                    $task->name = $tasks->name;
                    $task->progress = $tasks->progress??0;
                    // $task->description = $tasks->description;
                    $task->level = $tasks->level;
                    $task->status = $status;
                    $task->depends = $tasks->depends;
                    $task->startIsMilestone = $tasks->startIsMilestone==true?1:0;
                    $task->endIsMilestone = $tasks->endIsMilestone==true?1:0;
                    $task->collapsed = $tasks->collapsed==true?1:0;
                    $task->canWrite = $tasks->canWrite==true?1:0;
                    $task->canAdd = $tasks->canAdd==true?1:0;
                    $task->canDelete = $tasks->canDelete==true?1:0;
                    $task->canAddIssue = $tasks->canAddIssue==true?1:0;
                    $task->start = date('Y-m-d H:i:s', $tasks->start/1000);
                    $task->end = date('Y-m-d H:i:s', $tasks->end/1000);
                    $task->duration = $tasks->duration;
                    $task->assigs = json_encode($tasks->assigs);
                    $task->task_budget = !empty($tasks->task_budget)? str_replace(['.',','],'',$tasks->task_budget):0;
                    $task->pm_id = $pm_id;
                    // $task->hasChild = $taskhasChild;
                    $task->hasChild = $has_child;
                    $task->created_by = Auth::id();
                    $task->updated_by = Auth::id();
                    $task->save();
                // }
    
                $i++;
            }
    
            if(!empty($data_all->deletedTaskIds)){
                foreach($data_all->deletedTaskIds as $deltask)
                {
                    $task_id = (int)str_replace($this->prefix_aktual,'',$deltask);
                    ActualGanttTask::findOrFail($task_id)->delete();
                }
            }
    
            // itung ulang progress & budget
            // if($project_id){
                //itung budget utk subparent
            $level_1 = ActualGanttTask::where('project_id', $project_id)->where('level',1)->orderBy('sortable')->get();
            foreach($level_1 as $key=>$val){
                $nkey = $key+1;
                if($val->hasChild == 1){
                    if(!empty($level_1[$nkey])){
                        $next_level = $level_1[$nkey];
                        $level_2 = ActualGanttTask::where('project_id', $project_id)->where('level',2)->where('sortable','>',$val->sortable)->where('sortable','<',$next_level['sortable'])->get();
                        
                        if(!empty($level_2)){
                            $val->task_budget = $level_2->sum('task_budget');
                            $val->progress = $level_2->sum('progress')/$level_2->count();
                            $val->save();
                        }
                    }else{
                        $level_2 = ActualGanttTask::where('project_id', $project_id)->where('level',2)->where('sortable','>',$val->sortable)->get();
                        
                        if(!empty($level_2)){
                            $val->task_budget = $level_2->sum('task_budget');
                            $val->progress = $level_2->sum('progress')/$level_2->count();
                            $val->save();
                        }
                    }
                }
            }
            
            $gantt_lvl1 = ActualGanttTask::where('project_id', $project_id)->where('level',1)->orderBy('sortable')->get();
            
            $parent = ActualGanttTask::where('project_id', $project_id)->where('level',0)->first();
            
            $parent->task_budget = $gantt_lvl1->sum('task_budget');
            $p_progress = round($gantt_lvl1->sum('progress')/$gantt_lvl1->count());
            $parent->progress = $p_progress;
            
            $project_status = 'Started';
            if($parent->status != "STATUS_FAILED"){
                if($p_progress >= 100){
                    $parent->status = "STATUS_DONE";
                    $project_status = 'Done';
                }else{
                    $parent->status = "STATUS_ACTIVE";
                }
            }
            
            $parent->save();

                // $gantt_data = ActualGanttTask::where('project_id', $project_id)->orderBy('sortable')->get();
                // $t_progress_1 = $gantt_data->where('level',1)->where('hasChild',0)->sum('progress');
                // $t_progress_2 = $gantt_data->where('level',2)->sum('progress');
                // $c_progress_1 = $gantt_data->where('level',1)->where('hasChild',0)->count();
                // $c_progress_2 = $gantt_data->where('level',2)->count();
                // $budget_1 = $gantt_data->where('level',1)->where('hasChild',0)->sum('task_budget');
                // $budget_2 = $gantt_data->where('level',2)->sum('task_budget');
    
                // $parent = ActualGanttTask::where('project_id', $project_id)->where('level',0)->first();
                // $parent->progress = ($c_progress_1+$c_progress_2 == 0? 0 : round(($t_progress_1+$t_progress_2)/($c_progress_1+$c_progress_2)) );
                // $parent->task_budget = $budget_1 + $budget_2;
                // $parent->save();

                // //itung budget utk subparent
                // $level_1 = ActualGanttTask::where('project_id', $project_id)->where('level',1)->where('hasChild',1)->orderBy('sortable')->get();
                // // dd($level_1->toArray());
                // foreach($level_1 as $key=>$val){
                //     $nkey = $key+1;
                //     if(!empty($level_1[$nkey])){
                //         $next_level = $level_1[$nkey];
                //         $level_2 = $gantt_data->where('level',2)->where('sortable','>',$val->sortable)->where('sortable','<',$next_level->sortable);
                //         if(!empty($level_2)){
                //             $val->task_budget = $level_2->sum('task_budget');
                //             $val->progress = $level_2->sum('progress')/$level_2->count();
                //             $val->save();
                //         }
                //     }else{
                //         $level_2 = $gantt_data->where('level',2)->where('sortable','>',$val->sortable);
                //         if(!empty($level_2)){
                //             $val->task_budget = $level_2->sum('task_budget');
                //             $val->progress = $level_2->sum('progress')/$level_2->count();
                //             $val->save();
                //         }
                //     }
                // }
            // }
            
            Project::where('id', $project_id)->update(['gantt_updated_at'=>now(),'gantt_updated_by'=>Auth::id()]);

        }
        
        // return json_encode(['status'=>'ok', 'message'=>'Data berhasil disimpan!']);
        return response()->json(['status' => 'Ok', 'message'=>'Data Saved!'], 200);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
