<?php

namespace App\Http\Controllers;

use App\Models\Branch;
use App\Models\Country;
use App\Models\Employee;
use App\Models\User;
use Illuminate\Http\Request;
use App\Rules\MatchOldPassword;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class ProfileController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        return $this->middleware('auth:web');
    }

    public function index($id)
    {
        $cekuserlogin = User::where('id',Auth::user()->id)->first();
        $profile = Employee::where('user_id',$cekuserlogin->id)->select('*')->first();
        $country = Country::get();
        $branch = Branch::get();
        // dd($profile);
        return view('profile.index', compact('cekuserlogin','profile','country','branch'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    public function change_password(Request $request,$id)
    {
        $userid = Auth::user()->id;
        // dd($userid);
        $request->validate([
            'current_password' => ['required', new MatchOldPassword],
            'new_password' => ['required'],
            'new_confirm_password' => ['same:new_password'],
        ]);
   
        User::find(auth()->user()->id)->update(['password'=> Hash::make($request->new_password)]);

        return redirect()->back()->with('success','Password has changed');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Request $request)
    {
        $data = Employee::findOrFail($request->get('id'));
        echo json_encode($data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {

        $validateData= $request->validate(
            [                               
                'phone'    =>  'max:20',
            ],
            [
                'phone.max'   => 'Maximum 20 digits!',                
            ]);

        if ($request->file('photo')) {
            $file = $request->file('photo');
            $filename = md5($file->getClientOriginalName()) . uniqid() . '.' . $file->getClientOriginalExtension();
            // $filename = 'Project_Doc'.'-'.$file->getClientOriginalName();
            $file->move(public_path('storage/app/public/photo'), $filename);
            $photoprofile = $filename;
        }

        $p = Employee::findOrFail($request->input('id'));
        $p->photo = $photoprofile??'';
        $p->phone = $request->phone;        
        $p->branch = $request->branch;   
        $p->country = $request->country;  
        $p->about_me = $request->about_me;
        $p->save();

        return redirect()->back()->with('success','Successfully Updated');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
