<?php

namespace App\Http\Controllers;

use App\Models\Wbs;
use App\Models\WbsLink;
use Illuminate\Http\Request;
use Dhtmlx\Connector\GanttConnector;

class ProjectTrackingController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function __construct()
    {
        return $this->middleware('auth:web');
            
    }

    public function index($id)
    {
        // $wbs = Wbs::where('project_id',$id)->get();
        return view('admin.project_tracking.gantt',compact('id'));
    }

    public function get($id)
    {
       $wbs = Wbs::where('project_id',$id)->get();
    
        // $wbs = new Wbs();
        // $wbslink = new WbsLink();
 
        return response()->json([
            "data" => $wbs->all(),
            // "links" => $wbslink->all()
        ]);

        
    }

    

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request,$id)
    {
        $wbs = Wbs::where('project_id',$id)->first();

        $task = Wbs::createOrUpdate([
            'project_id'    => $wbs->id,
        ],
        [
            'text'  => $request->text,
            'start_date'    => $request->start_date,
            'duration'  => $request->duration,
            'progress'  => $request->has("progress") ? $request->progress : 0,
            'parent'    => $request->parent,
        ]);


        // $task = new Wbs();
 
        // $task->text = $request->text;
        // $task->start_date = $request->start_date;
        // $task->duration = $request->duration;
        // $task->progress = $request->has("progress") ? $request->progress : 0;
        // $task->parent = $request->parent;
 
        // $task->save();
 
        return response()->json([
            "action"=> "inserted",
            "tid" => $task->id
        ]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
