<?php

namespace App\Http\Controllers;

use App\Exports\WbsPlanningExport;
use App\Models\ActualGanttTask;
use App\Models\GanttTask;
use App\Models\GanttTaskResume;
use App\Models\GanttTaskResumeDaily;
use App\Models\Project;
use App\Models\Wbs;
use App\Models\WbsLink;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Maatwebsite\Excel\Facades\Excel;
use PDF;


class WbsController extends Controller
{
    public function __construct()
    {
        return $this->middleware('auth:web');  
        
    }
    
    public function index()
    {
        $wbs = GanttTask::select('project_id')->groupBy('project_id')->get();
        // dd($wbs);
        return view('admin.wbs.index',compact('wbs'));
    }

    public function detilproject($enc_id)
    {
        $id = decrypt($enc_id);
        $project = Project::with('Ganttask','GanttaskActual')->findOrfail($id);
        // $pr = Project::where('id',$id)->get();
        // dd($pr);
        $detil = $project->Ganttask;
        $actual = $project->GanttaskActual;
        // $detil = GanttTask::where('project_id',decrypt($id))->get();
        // $actual = ActualGanttTask::where('project_id',decrypt($id))->get();
        // $prname = GanttTask::leftJoin('projects','gantt_tasks.project_id','projects.id')->select('projects.project_name','projects.id')->where('project_id',$id)->first();
        // $actname = ActualGanttTask::leftJoin('projects','gantt_task_actuals.project_id','projects.id')->select('projects.project_name','projects.id')->where('project_id',$id)->first();
        
        // $taskname = ActualGanttTask::where('project_id',$id)->where('hasChild','=',0)->get();

        // $taskplane = GanttTask::where('project_id',$id)->where('hasChild','=',0)->get();

        // $datechart = ActualGanttTask::where('project_id',$id)->select('start','end')->get();

        // dd($datechart);

        // $avgactprogress = ActualGanttTask::where('project_id',$id)->where('sortable',0)->first();

        // $trend = ActualGanttTask::select('name')
        //     ->where('start','>=',$pr->start_date)
        //     ->where('start','<=',$pr->end_date)
        //     ->get();
        // dd($trend);
        //get data chart
        //scurve
        $xaxis_title = "Weeks";
        $total_res = GanttTaskResumeDaily::selectRaw('count(1) as total')
            ->where('project_id',$id)->first();
        if($total_res->total <= 65){
            $xaxis_title = "Days";
        }
        $gantt_progress = GanttTaskResumeDaily::where('project_id',$id)
            ->when($total_res->total <= 65, function($q){
                $q->selectRaw('days as urut, progress_daily_akumulasi_planning as progress_planning,progress_daily_akumulasi_realisasi as progress_realisasi')
                    ->groupBy('days')->orderBy('days');
            }, function($q){
                $q->selectRaw('weeks as urut, max(progress_daily_akumulasi_planning) as progress_planning, max(progress_daily_akumulasi_realisasi) as progress_realisasi')
                    ->groupBy('weeks')->orderBy('weeks');
            })
            // ->whereNotNull('progress_weekly_realisasi')
            ->get();
        $categories=[];
        // $duration=[];
        $data=[];
        $line=[];
        $date=[];
        foreach($gantt_progress as $task)
        {
            $categories[] = $task->urut;
            // $duration[]=$task->duration;
            $data[]=round($task->progress_planning,1);
            if(!empty($task->progress_realisasi)) $line[]=round($task->progress_realisasi,1);
            $date[]=$task->urut;
        }

        // $gantt_progress_aktual = $gantt_progress->whereNotNull('progress_realisasi');
        // foreach($gantt_progress_aktual as $task)
        // {
        //     // $categories[] = $task->week;
        //     // $duration[]=$task->duration;
        //     // $data[]=round($task->progress_weekly_akumulasi_planning);
        //     $line[]=round($task->progress_realisasi,1);
        //     // $date[]=$task->week;
        // }
        // dd($data,$categories,$line);

        // $plan=[];
        // foreach($taskplane as $taskpl)
        // {
        //     $plan[]=$taskpl->progress;
        // }

        // dd($categories);
        // return view('admin.wbs.detil',compact('project','detil','actual','prname','actname','categories','data','line','plan','avgactprogress','duration'));
        return view('admin.wbs.detil',compact('project','detil','actual','categories','data','line','xaxis_title'));
    }

    public function downloadwbsrencana($enc_id)
    {
        $id = decrypt($enc_id);
        $planningpdf = GanttTask::where('project_id',$id)->get();
        $prname = GanttTask::leftJoin('projects','gantt_tasks.project_id','projects.id')->select('projects.project_name','projects.id')->where('project_id',$id)->first();
        // dd($planningpdf);
        $pdf = PDF::loadview('admin.pdf.rencana',['planningpdf'=>$planningpdf]);
        return $pdf->download('WBS Planning '.$prname->project_name.'.pdf');
        // return $pdf->stream();
    }

    public function downloadwbsaktual($enc_id)
    {
        $id = decrypt($enc_id);
        $actualpdf = ActualGanttTask::where('project_id',$id)->get();
        $prname = ActualGanttTask::leftJoin('projects','gantt_task_actuals.project_id','projects.id')->select('projects.project_name','projects.id')->where('project_id',$id)->first();
        // dd($planningpdf);
        $pdf = PDF::loadview('admin.pdf.actual',['actualpdf'=>$actualpdf]);
        return $pdf->download('WBS Aktual '.$prname->project_name.'.pdf');
        // return $pdf->stream();
    }

    public function editplan($enc_id)
    {
        $id = decrypt($enc_id);
        $plan = GanttTask::where('project_id',$id)->orderBy('sortable')->get();
    
        // dd($plan);
        return view('admin.wbs.editplan',compact('plan','id'));
    }

    public function updateplan(Request $request)
    {
        
    
            $id = $request->input('project_id');
            // $bobots = array($request->bobot);
            // $ids = array($request->ids);
            // $ids = $request->ids;
            // dd($ids,$bobots);

            // $total = GanttTask::where('project_id',$id)->count();
            //get lvl 0 gantt 
            $gantt = GanttTask::where('project_id', $id)->where('level',0)->first();
            $gantt->bobot = $request->total_bobottxt;
            $gantt->save();

            $gant_ids = $request->ids;
            foreach($request->bobot as $key=>$bobot)
            {
                $gant_id = $gant_ids[$key];
                GanttTask::where('id',$gant_id)->update([
                    'bobot' => $bobot,
                    'updated_at' => now(),
                    'updated_by' => Auth::id()
                ]);
            }

            Project::where('id', $id)->update(['gantt_updated_at'=>now(),'gantt_updated_by'=>Auth::id()]);   
            
       
        return redirect()->back()->with('success', 'Successfully Updated');
    }

    public function get($id)
    {
        $tasks = Wbs::leftJoin('projects', 'wbs.project_id', 'projects.id')->selectRaw('wbs.*, projects.project_owner')
                    ->selectRaw('wbs.*, projects.project_manager')->where('project_id', decrypt($id))->orderBy('sortorder')->get();
        $links = WbsLink::all();


        return response()->json([
            "data" => $tasks,
            "links" => $links
        ]);
    }

    public function store(Request $request)
    {
        $wbs = new Wbs();
        $wbs->project_id = decrypt($request->project_id);
        $wbs->text = $request->text;
        $wbs->start_date = $request->start_date;
        $wbs->duration = $request->duration;
        $wbs->progress = $request->has("progress") ? $request->progress : 0;
        $wbs->parent = $request->parent;
        $wbs->sortorder = Wbs::max("sortorder") + 1;

        $wbs->save();

        return response()->json([
            "action" => "inserted",
            "tid" => $wbs->id
        ]);
    }

    public function update(Request $request, $id)
    {
        // $startdate = $request->input('start_date');

        $wbs = Wbs::find($id);
        $wbs->project_id = decrypt($request->project_id);
        $wbs->text = $request->text;
        $wbs->start_date = $request->start_date;
        $wbs->duration = $request->duration;
        // $wbs->end_date = $request->start_date->addDays($request->duration);
        $wbs->progress = $request->has("progress") ? $request->progress : 0;
        $wbs->parent = $request->parent;
        $wbs->sortorder = Wbs::max("sortorder") + 1;

        $wbs->save();

        // $wbupdate = Wbs::where('id',$id)->update([
        //     'end_date'  => $wbs->start_date->addDays($wbs->duration),
        // ]);

        $pr = Project::where('wbs_id',$id)->update([
            'duration'  => $wbs->duration,
            'project_name'  => $wbs->text,
            'end_date'  => $wbs->end_date,
        ]);

        if ($request->has("target")) {
            $this->updateOrder($id, $request->target);
        }

        return response()->json([
            "action" => "updated",
            "tid" => $wbs->id
        ]);
    }

    public function destroy($id)
    {
        $task = Wbs::find($id);
        $task->delete();

        return response()->json([
            "action" => "deleted"
        ]);
    }

    private function updateOrder($taskId, $target)
    {
        $nextTask = false;
        $targetId = $target;

        if (strpos($target, "next:") === 0) {
            $targetId = substr($target, strlen("next:"));
            $nextTask = true;
        }

        if ($targetId == "null")
            return;

        $targetOrder = Wbs::find($targetId)->sortorder;
        if ($nextTask)
            $targetOrder++;

            Wbs::where("sortorder", ">=", $targetOrder)->increment("sortorder");

        $updatedTask = Wbs::find($taskId);
        $updatedTask->sortorder = $targetOrder;
        $updatedTask->save();
    }

    public function downloadwbsXls($id, Request $request){
        $data['type'] = $request->type;
        $data['id'] = decrypt($id);
        return Excel::download(new WbsPlanningExport($data), 'Wbs '.$data['type'].' ' . date('YmdH') . '.xlsx');
    }
}
