<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ActualGanttTask extends Model
{
    use HasFactory;
    protected $table = 'gantt_task_actuals';
    protected $fillable = [
        'id',
        'sortable',
        'pm_id',
        'project_id',
        'name',
        'progress',
        'progressByWorklog',
        'relevance',
        'type',
        'typeId',
        'description',
        'code',
        'level',
        'status',
        'depends',
        'task_budget',
        'canWrite',
        'canAdd',
        'canDelete',
        'canAddIssue',
        'collapse',
        'start',
        'duration',
        'end',
        'startIsMilestone',
        'endIsMilestone',
        'collapsed',
        'assigs',
        'hasChild',
        'bobot',
        'created_by',
        'updated_by',
    ];

    public function getstartIsMilestone($startIsMilestone)
    {
        return(bool)$startIsMilestone;
    }

    public function project()
    {
        // return $this->belongsTo(Project::class,'id','project_id');
        return $this->hasOne(Project::class,'id','project_id');
    }

    public function createdby()
    {
        return $this->hasOne(User::class, 'id', 'created_by');
    }

    public function updatedby()
    {
        return $this->hasOne(User::class, 'id', 'updated_by');
    }
}
