<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CardTask extends Model
{
    use HasFactory, SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $table = 'card_tasks';
    protected $fillable = [
        'task_name',
        'duedate',
        'description',
        'project_id',
        'cardstatus_id',
        'status',
        'order',
        'created_by',
        'updated_by',
        'deleted_by',
    ];

    public function createdby()
    {
        return $this->belongsTo(User::class, 'created_by', 'id');
    }

    public function updatedby()
    {
        return $this->belongsTo(User::class, 'updated_by', 'id');
    }

    public function deletedby()
    {
        return $this->belongsTo(User::class, 'deleted_by', 'id');
    }

    public function project()
    {
        return $this->belongsTo(Project::class,'project_id','id');
    }
}
