<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Portofolio extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'portofolios';
    protected $dates = ['deleted_at'];

    protected $fillable = [
        'name','slug','created_by','updated_by','deleted_by'
    ];

    public function createdby()
    {
        return $this->hasOne(User::class,'id','created_by');
    }

    public function updatedby()
    {
        return $this->hasOne(User::class,'id','updated_by');
    }

    public function deletedby()
    {
        return $this->hasOne(User::class,'id','deleted_by');
    }
}
