<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGanttTasksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('gantt_tasks', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('project_id')->nullable();
            $table->string('name')->nullable();
            $table->integer('progress')->default(0);
            $table->boolean('progressByWorklog')->default(false);
            $table->integer('relevance')->default(0);
            $table->string('type')->nullable();
            $table->string('typeId')->nullable();
            $table->string('description')->nullable();
            $table->string('code')->nullable();
            $table->integer('level')->nullable();
            $table->string('status')->nullable();
            $table->string('depends')->nullable();
            $table->boolean('canWrite')->default(true);
            $table->date('start')->nullable();
            $table->integer('duration')->nullable();
            $table->date('end')->nullable();
            $table->boolean('startIsMilestone')->default(false);
            $table->boolean('endIsMilestone')->default(false);
            $table->boolean('collapsed')->default(false);
            $table->string('assigs')->nullable();
            $table->boolean('hasChild')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('gantt_tasks');
    }
}
