<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateActualGanttTasksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('gantt_task_actuals', function (Blueprint $table) {
            $table->id();
            $table->smallInteger('sortable')->default(0);
            $table->bigInteger('pm_id')->nullable();
            $table->bigInteger('project_id')->nullable();
            $table->string('name')->nullable();
            $table->integer('progress')->default(0);
            $table->smallInteger('progressByWorklog')->default(0);
            $table->integer('relevance')->default(0);
            $table->string('type')->nullable();
            $table->string('typeId')->nullable();
            $table->string('description')->nullable();
            $table->string('code')->nullable();
            $table->integer('level')->nullable();
            $table->string('status')->nullable();
            $table->string('depends')->nullable();
            $table->decimal('task_budget',20,0)->nullable();
            $table->boolean('canWrite')->default(1);
            $table->boolean('canAdd')->default(1);
            $table->boolean('canDelete')->default(1);
            $table->boolean('canAddIssue')->default(1);
            $table->date('start')->nullable();
            $table->integer('duration')->nullable();
            $table->date('end')->nullable();
            $table->boolean('startIsMilestone')->default(0);
            $table->boolean('endIsMilestone')->default(0);
            $table->boolean('collapsed')->default(0);
            $table->string('assigs')->nullable();
            $table->boolean('hasChild')->nullable();            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('actual_gantt_tasks');
    }
}
