<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGanttTaskResumesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('gantt_task_resumes', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->bigInteger('project_id');
            $table->date('tanggal_akhir_progress')->nullable();
            $table->smallInteger('week')->default(1)->comment('diisi 1,2,3 dst');
            $table->decimal('progress_weekly_planning', 5,2)->nullable();
            $table->decimal('progress_weekly_akumulasi_planning', 5,2)->nullable();
            $table->decimal('progress_weekly_realisasi', 5,2)->nullable();
            $table->decimal('progress_weekly_akumulasi_realisasi', 5,2)->nullable();
            $table->timestamps();
            $table->index(['project_id','week'],'ganttresweek_idx');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('gantt_task_resumes');
    }
}
