<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGanttCodesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('gantt_tasks', function (Blueprint $table) {
            $table->string('name')->nullable()->change();
        });
        Schema::table('gantt_task_actuals', function (Blueprint $table) {
            $table->string('name')->nullable()->change();
        });
        Schema::create('gantt_codes', function (Blueprint $table) {
            $table->id();
            $table->string('name',100);
            $table->smallInteger('sortable')->default(0);
            $table->bigInteger('created_by')->nullable();
            $table->bigInteger('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('gantt_codes');
    }
}
