@extends('admin.partial.admin_master')
@section('title')
<title>Project Lists | Aplikasi Project Management</title>
@endsection
@section('css')               
    <link href="{{ asset('backend/assets/css/icons.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/app.min.css') }}" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="{{ asset('backend/assets/css/vendor/dataTables.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/responsive.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/buttons.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/select.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedHeader.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedColumns.bootstrap5.css') }}" rel="stylesheet" type="text/css" />  
    <link href="{{ asset('backend/assets/css/fontawesome.min.css') }}" rel="stylesheet" />
    <link href="{{ asset('backend/assets/css/toastr.css') }}" rel="stylesheet" />
    <style nonce="{{ csp_nonce() }}">
        .bold{
            font-weight: bold;
        }
        
    </style>

@endsection
@section('main')
@can('Manage Project')
    <!-- Start Content-->
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard</a></li>                        
                        <li class="breadcrumb-item active"><a href="{{ route('project.index') }}">Manage Project</a></li>
                    </ol>
                </div>
                @can('Add Project')
                <h4 class="page-title">Manage Project 
                    <a href="{{ route('project.create') }}" class="btn btn-success btn-sm ms-3">Tambah Project</a></h4>
                @endcan
                
            </div>
        </div>
    </div>     
    <!-- end page title --> 
    <div class="row">
        <div class="col-12">
            <table id="scroll-horizontal-datatable" class="table table-striped w-100 nowrap">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Project Code</th>
                        <th>Portofolio</th>
                        <th>Nama Project</th>                        
                        <th>Start Date</th>
                        <th>End Date</th>
                        <th>Duration</th> 
                        <th>Status</th>                                                                     
                        <th>Aksi</th>
                    </tr>
                </thead>
            
            
                <tbody>
                    @foreach ($project as $key=>$row )
                    <tr>
                        <td>{{ $key+1 }}</td>
                        <td>{{ $row->full_number }}</td>
                        <td>{{ $row->portofolio ??''}}</td>
                        <td>
                            <span class="bold">{{ $row->project_name ??''}}</span><br>
                            <span class="bold">Project Manager : </span> {{ $row->project_manager ??''  }}<br>
                            <span class="bold">Project Owner : </span> {{ $row->project_owner ??''  }}<br>
                        </td>                       
                        <td>{{ Carbon\Carbon::parse($row->start_date ??'')->isoFormat('D MMMM Y') ??'' }}</td>
                        <td>{{ Carbon\Carbon::parse($row->end_date ??'')->isoFormat('D MMMM Y') ??'' }}</td>
                        <td>{{ $row->duration ??''}} Hari</td> 
                        <td>
                            @if ($row->status == 'draft')
                                <span class="badge bg-seconday">Draft</span>
                            @elseif($row->status == 'Menunggu Persetujuan Manager')
                                <span class="badge bg-warning">Menunggu Persetujuan Manager</span>
                            @endif
                            
                        </td>                      
                        <td>
                            @can('Update Project')
                                <a href="{{ route('project.edit',encrypt($row->id)) }}" class="btn btn-outline-primary"><i class="mdi mdi-square-edit-outline"></i></a><br><br>
                            @endcan
                            @can('Gantt Chart Project')
                                <a href="{{ route('gantchart',encrypt($row->id)) }}" class="btn btn-outline-warning"><i class="mdi mdi-chart-gantt"></i></a><br><br>
                                <!-- Top modal -->
                                <button type="button" class="btn btn-outline-success" data-bs-toggle="modal" data-bs-target="#centermodal">Submit</button>
                                <div id="centermodal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
                                    <form method="post" action="{{ route('project.needapprovalmanager',encrypt($row->id)) }}" enctype="multipart/form-data">
                                        @csrf
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header modal-colored-header bg-success">
                                                <h4 class="modal-title" id="success-header-modalLabel">Kirim Persetujuan</h4>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-hidden="true"></button>
                                            </div>
                                            <div class="modal-body">
                                                <h5>Anda Hendak Mengirimkan Persetujuan Project</h5>
                                                <h5>{{ $row->project_name??'' }}</h5>
                                                <input type="hidden" value="{{ $row->project_name }}" name="project_name"/>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Batal</button>
                                                <button type="submit" class="btn btn-primary">Kirim</button>
                                            </div>
                                        </div>
                                    </div>
                                    </form>
                                </div>
                                {{-- <a href="{{ route('project.approvalbystaff',encrypt($row->id)) }}" class="btn btn-outline-success">Submit</a><br><br> --}}
                                <a href="{{ route('actual_gantt',encrypt($row->id)) }}" class="btn btn-outline-success"><i class="mdi mdi-chart-gantt"></i></a><br><br>
                                <a href="{{ route('gantchart.aktual',encrypt($row->id)) }}" class="btn btn-outline-danger"><i class="mdi mdi-chart-gantt"></i></a><br><br>
                            @endcan
                            @can('Delete Project')
                                
                            @endcan
                            
                            
                        </td>
                    </tr>
                    @endforeach                    
                </tbody>
            </table>     
        </div>
    </div>   
</div>
@endcan

@endsection
@section('js')   
    <script nonce="{{ csp_nonce() }}">
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': jQuery('meta[name="csrf-token"]').attr('content')
                }
            });
        });




        $('.date').datepicker({
            format: 'yyyy-mm-dd'
        });
    </script>     
    <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/app.min.js') }}"></script>    
    <script src="{{ asset('backend/assets/js/vendor/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/responsive.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.print.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.keyTable.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.select.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/fixedColumns.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/fixedHeader.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/pages/demo.datatable-init.js') }}"></script>
    <script src="{{ asset('backend/assets/js/toastr.js') }}"></script>
    <script src="{{ asset('backend/assets/js/sweetalert2.all.min.js') }}"></script>
    
    <script nonce="{{ csp_nonce() }}">
        $(document).ready(function() {
            toastr.options.timeOut = 10000;
            @if (Session::has('error'))
                toastr.error('{{ Session::get('error') }}');
            @elseif (Session::has('success'))
                toastr.success('{{ Session::get('success') }}');
            @elseif (Session::has('warning'))
                toastr.success('{{ Session::get('warning') }}');
            @endif
        });
    </script>
@endsection