<!DOCTYPE html>

<head>
    <link rel="shortcut icon" href="{{ asset('images/icon.ico') }}">
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <title>Gant Project - {{ $project->project_name ?? '' }}</title>
    <script src="https://cdn.dhtmlx.com/gantt/edge/dhtmlxgantt.js"></script>
    <link href="https://cdn.dhtmlx.com/gantt/edge/dhtmlxgantt.css" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('jqueryui113/jquery-ui.min.css') }}">
    <link rel="stylesheet" href="{{ asset('select2/css/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('css/custom-wbs.css') }}">
</head>

<body>
    <div class="header">
        <a href="{{ route('project.index') }}" class="button">Kembali</a>
        <h1>{{ $project->project_name ?? '' }}</h1>
    </div>
    <div id="gantt_here" style='width:100%; height:calc(100% - 50px);'></div>

    <div id="dialog-confirm" title="Aksi Task">
    </div>
    <div id="dialog-detail" title="Task Detail">
        <form action="{{ route('project.gant.store_wbs') }}" method="POST">
            @csrf
            <input type="hidden" name="wbs_id" value="" id="wbs_id">
            <div class="form-label">Task: <span id="judul_task_popup"></span></div>
            <hr>
            <div class="row">
                <div class="column">
                    <div class="form-input">
                        <div class="form-label">Bobot Task (%)</div>
                        <input type="number" name="persentase_target" placeholder="% Target"
                            id="persentase_target_input">
                        <input type="number" name="persentase_real" placeholder="% Real" id="persentase_real_input">
                        <input type="number" name="persentase_gap" placeholder="% Gap" id="persentase_gap_input">
                    </div>
                    <div class="form-input">
                        <div class="form-label">Actual Date</div>
                        <input type="text" name="actual_start_date" id="actual_start_date_input"
                            placeholder="Actual Start Date">
                        <input type="text" name="actual_finish_date" id="actual_finish_date_input"
                            placeholder="Actual Finish Date">
                    </div>
                    <div class="form-input">
                        <div class="form-label">Realisasi Budget (Rp.)</div>
                        <input type="number" name="actual_capex" placeholder="Actual CAPEX" id="actual_capex_input">
                        <input type="number" name="actual_opex" placeholder="Actual OPEX" id="actual_opex_input">
                    </div>
                </div>
                <div class="column">
                    <div class="form-input">
                        <div class="form-label">Assign Member</div>
                        <select name="assign_member" id="assign_member_select">
                            <option value="">Pilih Member</option>
                            @foreach ($employee as $row)
                                <option value="{{ $row->sso_email }}">{{ $row->nama ?? '' }} |
                                    {{ $row->jabatan ?? '' }} | {{ $row->sso_email ?? '' }} </option>
                            @endforeach
                        </select>
                    </div>

                    <div class="form-input">
                        <div class="form-label">Task Status</div>
                        <div>
                            <input type="radio" name="task_status" id="not_started" value="Not Started">
                            <label for="not_started">Not Started</label>
                        </div>
                        <div>
                            <input type="radio" name="task_status" id="in_progress" value="In Progress">
                            <label for="in_progress">In Progress</label>
                        </div>
                        <div>
                            <input type="radio" name="task_status" id="done" value="Done">
                            <label for="done">Done</label>
                        </div>
                    </div>
                    <div class="form-input">
                        <div class="form-label">Task Health</div>
                        <div>
                            <input type="radio" name="task_health" id="behind" value="Behind">
                            <label for="behind">Behind</label>
                        </div>
                        <div>
                            <input type="radio" name="task_health" id="on_track" value="On Track">
                            <label for="on_track">On Track</label>
                        </div>
                        <div>
                            <input type="radio" name="task_health" id="task_health" value="Ahead">
                            <label for="task_health">Ahead</label>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div>
                <button class="form-submit" type="submit">Simpan</button>
            </div>
        </form>
    </div>
    <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script>
    <script src="{{ asset('jqueryui113/jquery-ui.min.js') }}"></script>
    <script src="{{ asset('select2/js/select2.full.min.js') }}"></script>
    
    <script type="text/javascript">
        @if (session()->has('success'))
            var message = '{{ session()->get('success') }}';
            alert(message);
        @endif
        $('#assign_member_select').select2({
            dropdownParent: $('#dialog-detail')
        });
        $('#actual_start_date_input').datepicker({
            dateFormat: 'dd-mm-yy'
        });
        $('#actual_finish_date_input').datepicker({
            dateFormat: 'dd-mm-yy'
        });
    </script>
    <script type="text/javascript">
        gantt.config.date_format = "%Y-%m-%d %H:%i:%s";

        gantt.config.columns = [{
                name: "text",
                label: "Task name",
                tree: true,
                width: 150
            },
            {
                name: "start_date",
                label: "Start Date",
                align: "center",
                width: 80
            },
            {
                name: "end_date",
                label: "Deadline",
                align: "center",
                width: 80
            },
            {
                name: "duration",
                label: "Duration",
                align: "center",
                width: 80
            },
            {
                name: "project_owner",
                label: "Project Owner",
                align: "center",
                width: 80
            },
            {
                name: "project_manager",
                label: "Project Manager",
                align: "center",
                width: 80
            },
            {
                name: "add",
                align: "center",
                width: 40
            },
        ];

      

       
        gantt.config.highlight_critical_path = true;

        gantt.config.order_branch = true;
        gantt.config.order_branch_free = true;
        gantt.plugins({
            tooltip: true,
            critical_path: true 
        });
        gantt.init("gantt_here");
        gantt.load("/api/data/{{ $id }}");

        const dp = gantt.createDataProcessor({
            url: "/api",
            mode: "REST"
        });

        dp.attachEvent("onBeforeUpdate", function(id, state, data) {
            data.project_id = "{{ $id }}";
            return true;
        });
    </script>
</body>
