@extends('admin.partial.admin_master')
@section('title')
    <title>Portofolio | Master Data PMO</title>
@endsection
@section('css')
    <link href="{{ asset('backend/assets/css/vendor/frappe-gantt.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/icons.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/app.min.css') }}" rel="stylesheet" type="text/css" id="app-style" />
    <link href="{{ asset('backend/assets/css/vendor/dataTables.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/responsive.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/fontawesome.min.css') }}" rel="stylesheet" />
    <link href="{{ asset('backend/assets/css/toastr.css') }}" rel="stylesheet" />
@endsection
@section('main')
@can('Master Data')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item">Dashboard</li>
                            <li class="breadcrumb-item active">Manage Group Tags</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Manage Group Tag
                        @if(env('APP_TEST') == true)
                        @else
                        <button type="button" class="btn btn-success" data-bs-toggle="modal"
                            data-bs-target="#centermodal">Add</button>
                        @endif
                    </h4>

                    <div class="modal fade" id="centermodal" tabindex="-1" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="myCenterModalLabel">Add Group Tag</h4>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                        aria-label="Close"></button>
                                </div>
                                <form class="ps-3 pe-3" action="{{ route('gt.store') }}" enctype="multipart/form-data"
                                    method="post">
                                    @csrf
                                    <div class="modal-body">
                                        <div class="mb-3">
                                            <label for="portofolio_id" class="form-label">Portofolio</label><span
                                                style="color: red;">*</span>
                                            <select name="portofolio_id" class="form-control">
                                                <option value="">select Portfolio</option>
                                                @foreach ($portofolio as $key => $value)
                                                    <option value="{{ $value->id ?? '' }}">{{ $value->name ?? '' }}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('portofolio_id'))
                                                <span class="text-danger">{{ $errors->first('portofolio_id') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3">
                                            <label for="username" class="form-label">Group Tag Name</label><span
                                                style="color: red;">*</span>
                                            <input class="form-control" type="text" maxlength="255" name="name"
                                                placeholder="Nama Group Tag" value="{{ old('name') }}" required>
                                            @if ($errors->has('name'))
                                                <span class="text-danger">{{ $errors->first('name') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 text-center">
                                            <button class="btn btn-primary" type="submit">Submit</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>



                    <div class="row">
                        <div class="col-12">
                            <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                                <thead>
                                    <tr>
                                        <th style="width: 50px;">No</th>
                                        <th style="width: 200px;">Portfolio</th>
                                        <th style="width: 200px;">Group Tags</th>
                                        {{-- <th>Di Buat Oleh</th>
                                        <th>Di Update Oleh</th> --}}
                                        <th>Action</th>
                                    </tr>
                                </thead>


                                <tbody>
                                    @foreach ($gt as $key => $row)
                                        <tr>
                                            <td>{{ $key + 1 }}</td>
                                            <td>{{ $row->Portofolio->name ?? '' }}</td>
                                            <td>{{ $row->name ?? '' }}</td>
                                            {{-- <td>{{ $row->createdby->name ?? '' }}</td>
                                            <td>{{ $row->updatedby->name ?? '' }}</td> --}}
                                            <td>
                                                <a href="#centermodal{{ $row->id }}" class="btn btn-outline-info edit"
                                                    data-bs-toggle="modal"
                                                    data-bs-target="#centermodal{{ $row->id }}">
                                                    <i class="mdi mdi-square-edit-outline"></i>
                                                </a>
                                                {{-- modal  edit --}}
                                                <div id="centermodal{{ $row->id }}" class="modal fade" tabindex="-1"
                                                    role="dialog" aria-hidden="true">
                                                    <div class="modal-dialog modal-dialog-centered">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h4 class="modal-title" id="myCenterModalLabel">Update Group
                                                                    Tag</h4>
                                                                <button type="button" class="btn-close"
                                                                    data-bs-dismiss="modal" aria-label="Close"></button>
                                                            </div>
                                                            <form class="ps-3 pe-3" action="{{ route('gt.update') }}"
                                                                enctype="multipart/form-data" method="post">
                                                                @csrf
                                                                <div class="modal-body">
                                                                    <div class="mb-3">
                                                                        <label for="portofolio_id"
                                                                            class="form-label">Portfolio</label><span
                                                                            style="color: red;">*</span>
                                                                        <select name="portofolio_id" class="form-control">
                                                                            <option value="">Select Portfolio
                                                                            </option>
                                                                            @foreach ($portofolio as $key => $value)
                                                                                <option value="{{ $value->id ?? '' }}"
                                                                                    {{ $row->portofolio_id == $value->id ? 'selected' : '' }}>
                                                                                    {{ $value->name ?? '' }}</option>
                                                                            @endforeach
                                                                        </select>
                                                                        @if ($errors->has('portofolio_id'))
                                                                            <span
                                                                                class="text-danger">{{ $errors->first('portofolio_id') }}</span>
                                                                        @endif
                                                                    </div>
                                                                    <div class="mb-3">
                                                                        <label for="username" class="form-label">
                                                                            Group
                                                                            Tag Name</label><span style="color: red;">*</span>
                                                                        <input type="hidden" name="id"
                                                                            value="{{ $row->id }}">
                                                                        <input class="form-control" type="text"
                                                                            maxlength="255" name="name"
                                                                            placeholder="Nama Group Tag"
                                                                            value="{{ $row->name ?? '' }}" required>
                                                                        @if ($errors->has('name'))
                                                                            <span
                                                                                class="text-danger">{{ $errors->first('name') }}</span>
                                                                        @endif
                                                                    </div>
                                                                    <div class="mb-3 text-center">
                                                                        <button class="btn btn-primary"
                                                                            type="submit">Update</button>
                                                                    </div>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                                {{-- end of modal edit --}}
                                                @if(env('APP_TEST') == true)
                                                @else
                                                <a href="#deletemodal{{ $row->id }}" class="btn btn-outline-danger"
                                                    data-bs-toggle="modal" data-bs-target="#deletemodal{{ $row->id }}">
                                                    <i class="mdi mdi-trash-can"></i>
                                                </a>
                                                @endif
                                                {{-- modal  edit --}}
                                                <div id="deletemodal{{ $row->id }}" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
                                                    <div class="modal-dialog modal-dialog-centered">
                                                        <div class="modal-content bg-warning">                                        
                                                            <form class="ps-3 pe-3" action="{{ route('gt.softdelete',encrypt($row->id)) }}" enctype="multipart/form-data" method="post">
                                                                @csrf
                                                                <div class="modal-body bg-warning">                                                
                                                                    <div class="mb-3 text-center text-danger">
                                                                        <h5>Are You Sure delete this {{ $row->name??'' }} ?</h5>
                                                                        <input type="hidden" name="id" value="{{ $row->id }}">
                                                                    </div>            
                                                                    <div class="mb-3 text-center">
                                                                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
                                                                        <button class="btn btn-danger" type="submit">Yes</button>
                                                                    </div>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div> 
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div> <!-- end col -->
                    </div>
                    <!-- end row-->

                </div> <!-- container -->
                @endcan
@endsection
@section('js')
                <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script>
                <script src="{{ asset('backend/assets/js/toastr.js') }}"></script>
                <script src="{{ asset('backend/assets/js/vendor.min.js') }}"></script>
                <script src="{{ asset('backend/assets/js/app.min.js') }}"></script>
                <script src="{{ asset('backend/assets/js/vendor/jquery.dataTables.min.js') }}"></script>
                <script src="{{ asset('backend/assets/js/vendor/dataTables.bootstrap5.js') }}"></script>
                <script src="{{ asset('backend/assets/js/vendor/dataTables.responsive.min.js') }}"></script>
                <script src="{{ asset('backend/assets/js/vendor/responsive.bootstrap5.min.js') }}"></script>
                <script src="{{ asset('backend/assets/js/pages/demo.datatable-init.js') }}"></script>
                <script src="{{ asset('backend/assets/js/sweetalert2.all.min.js') }}"></script>


@endsection
