<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        @yield('title')
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="Project Management Application" name="description" />
        <meta content="Project Management" name="author" />
        <meta name="csrf-token" content="{{ csrf_token() }}">
        
        <link rel="icon" href="{{ asset('img/favicon.ico') }}" type="image/x-icon" />

        @yield('css')
        <style nonce="{{ csp_nonce() }}">
            .simpen{
                color: green;
                font-size: 30px;
                font-weight: 900;
            }

            .isi-notif{
                max-height: 300px;
                overflow-y: auto; 
            }
            

          
            /* .leftside-menu{
                background-color: white !important;
            } */
            /* .simplebar-content-wrapper{
                background-color: #f4740c;
            } */
        </style>
        

    </head>

    <body class="loading" data-layout-color="light" data-leftbar-theme="light" data-layout-mode="fluid" data-rightbar-onstart="true">
       
        <div class="wrapper">
            
            @include('admin.partial.sidebar')
            

            

            <div class="content-page">
                <div class="content">
                    
                    @include('admin.partial.topbar')
                    

                    
                    @yield('main')
                    

                </div> 

                @include('admin.partial.footer')

            </div>

           


        </div>
        


       {{-- @include('admin.partial.rightbar') --}}

       @yield('js')
       {{-- <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script> --}}
       <script src="{{ asset('backend/assets/js/toastr.js') }}"></script>
   
       <script src="{{ asset('backend/assets/js/sweetalert2.all.min.js') }}"></script>

    <script nonce="{{ csp_nonce() }}">
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': jQuery('meta[name="csrf-token"]').attr('content')
                }
            });
        }); 

        $('.date').datepicker({  
            format: 'yyyy-mm-dd'
        });  
    </script> 
    <script nonce="{{ csp_nonce() }}">
        $(function() {
            $('#data_table').dataTable();
            $(document).on('click', '#delete', function(e) {
                e.preventDefault();
                var link = $(this).attr("href");
                Swal.fire({
                    title: 'Apakah Anda Yakin?',
                    text: "Menghapus Data ini?",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#d33',
                    cancelButtonColor: '#3085d6',
                    confirmButtonText: 'Ya!',
                    cancelButtonText: 'Batal!'
                }).then((result) => {
                    if (result.isConfirmed) {
                        window.location.href = link
                        Swal.fire(
                            'Deleted!',
                            'Your file has been deleted.',
                            'success'
                        )
                    }
                })
            });

        });
    </script>
   

        
        

    </body>
</html>
