@extends('admin.partial.admin_master')
@section('title')
<title>Project Lists | Aplikasi Project Management</title>
@endsection
@section('css')
    <link href="{{ asset('backend/assets/css/vendor/frappe-gantt.css') }}" rel="stylesheet" type="text/css" />       
    <link href="{{ asset('backend/assets/css/icons.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/app.min.css') }}" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="{{ asset('backend/assets/css/vendor/dataTables.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/responsive.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/fontawesome.min.css') }}" rel="stylesheet" />
    <link href="{{ asset('backend/assets/css/toastr.css') }}" rel="stylesheet" />
@endsection
@section('main')
@can('Recycle Task')
<!-- Start Content-->
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard</a></li>                        
                        <li class="breadcrumb-item active"><a href="{{ route('todo.recycle') }}">Recycle Bin Todo</a></li>
                    </ol>
                </div>
                <h4 class="page-title">Recycle Bin</h4>
            </div>
        </div>
    </div>     
    <!-- end page title --> 

    <div class="row">
        <div class="col-12">
            <table id="scroll-horizontal-datatable" class="table w-100 nowrap">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Task Name</th>
                        <th>Project Name</th>
                        <th>Deleted By</th>                        
                        <th>Action</th>
                    </tr>
                </thead>
            
            
                <tbody>
                    @foreach ($todo as $key=>$row )
                    <tr>
                        <td>{{ $key+1 }}</td>
                        <td>{{ $row->task_name }}</td>
                        <td>{{ $row->project->project_name ??''}}</td>
                        <td>{{ $row->deletedby->name ??''}}</td>                       
                        <td>
                            <a href="{{ route('todo.restore',encrypt($row->id)) }}" class="btn btn-outline-primary"><i class="mdi mdi-recycle-variant text-success"></i></a>
                            <a href="{{ route('todo.destroy',encrypt($row->id)) }}" id="delete" class="btn btn-outline-success"><i class="mdi mdi-trash-can-outline text-danger"></i></a>
                            {{-- <a href="{{ route('softdelete.kapal',encrypt($row->id)) }}" id="delete" class="btn btn-outline-danger"><i class="mdi mdi-trash-can"></i></a>                                                         --}}
                        </td>
                    </tr>
                    @endforeach                    
                </tbody>
            </table>
        </div> <!-- end col -->
    </div>
    <!-- end row-->
    
</div> <!-- container -->
@endcan
@endsection
@section('js')
    <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/app.min.js') }}"></script>    
    <script src="{{ asset('backend/assets/js/vendor/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/responsive.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/pages/demo.datatable-init.js') }}"></script>
    <script src="{{ asset('backend/assets/js/toastr.js') }}"></script>
    <script src="{{ asset('backend/assets/js/sweetalert2.all.min.js') }}"></script>
    <script type="text/javascript">
        $(function() {           
            $(document).on('click', '#delete', function(e) {
                e.preventDefault();
                var link = $(this).attr("href");
                Swal.fire({
                    title: 'Apakah Anda Yakin?',
                    text: "Menghapus Permanent Todo ini?",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#d33',
                    cancelButtonColor: '#3085d6',
                    confirmButtonText: 'Ya!',
                    cancelButtonText: 'Batal!'
                }).then((result) => {
                    if (result.isConfirmed) {
                        window.location.href = link
                        Swal.fire(
                            'Deleted!',
                            'Your file has been deleted.',
                            'success'
                        )
                    }
                })
            });

        });
    </script>
@endsection