
<?php $__env->startSection('title'); ?>
<title>Project Lists | Aplikasi Project Management</title>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>               
    <link href="<?php echo e(asset('backend/assets/css/icons.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/app.min.css')); ?>" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="<?php echo e(asset('backend/assets/css/vendor/dataTables.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/responsive.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/buttons.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/select.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/fixedHeader.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/fixedColumns.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />  
    <link href="<?php echo e(asset('backend/assets/css/fontawesome.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('backend/assets/css/toastr.css')); ?>" rel="stylesheet" />
    <style nonce="<?php echo e(csp_nonce()); ?>">
        .bold{
            font-weight: bold;
        }

        .highcharts-figure,
        .highcharts-data-table table {
            min-width: 310px;
            max-width: 800px;
            margin: 1em auto;
        }

        #container {
            height: 400px;
        }

        .highcharts-data-table table {
            font-family: Verdana, sans-serif;
            border-collapse: collapse;
            border: 1px solid #ebebeb;
            margin: 10px auto;
            text-align: center;
            width: 100%;
            max-width: 500px;
        }

        .highcharts-data-table caption {
            padding: 1em 0;
            font-size: 1.2em;
            color: #555;
        }

        .highcharts-data-table th {
            font-weight: 600;
            padding: 0.5em;
        }

        .highcharts-data-table td,
        .highcharts-data-table th,
        .highcharts-data-table caption {
            padding: 0.5em;
        }

        .highcharts-data-table thead tr,
        .highcharts-data-table tr:nth-child(even) {
            background: #f8f8f8;
        }

        .highcharts-data-table tr:hover {
            background: #f1f7ff;
        }
    </style>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('main'); ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Detail WBS')): ?>
<!-- Start Content-->
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>                        
                        <li class="breadcrumb-item active"><a href="#">Detil Project</a></li>
                    </ol>
                </div>
                <h4 class="page-title">Detil Project | <?php echo e($project->project_name??''); ?></h4>
            </div>
        </div>
    </div>     
    <!-- end page title --> 
    <!--planning -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    
                    <a href="<?php echo e(route('project.index')); ?>" class="btn btn-primary btn-sm">Back</a><h4><span class="">PLAN</span></h4>
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Report')): ?>
                        <a href="<?php echo e(route('wbs.downloadwbsrencana',encrypt($project->id))); ?>" class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="PDF Download"><i class="mdi mdi-file-pdf-box"></i></a>
                        <a href="<?php echo e(route('wbs.downloadwbsXls',[encrypt($project->id),'type'=>'planning'])); ?>" class="btn btn-warning" data-toggle="tooltip" data-placement="top" title="Xls Download"><i class="mdi mdi-microsoft-excel"></i></a>
                    <?php endif; ?>
                    <?php if($project->status != "Started"): ?>
                        <a href="<?php echo e(route('wbs.editplan',encrypt($project->id))); ?>" class="btn btn-primary">Edit WBS</a>
                    <?php endif; ?>
                    <div class="tab-content">
                        <div class="tab-pane show active" >
                            <table id="scroll-vertical-datatable1" class="table table-striped dt-responsive nowrap w-100">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Task Name</th>
                                        <th>Start Date</th>
                                        <th>End Date</th>    
                                        <th>Bobot</th>
                                        <th>Progress</th>                      
                                        <th>Duration</th>                       
                                    </tr>
                                </thead>
                            
                            
                                <tbody>
                                    <?php $__currentLoopData = $detil; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($key+1); ?></td>
                                        <td><?php if($row->level == 1): ?>
                                            <ul>
                                                <li><?php echo e($row->name??''); ?></li>
                                            </ul>
                                            <?php elseif($row->level == 2): ?>
                                            <ul style="list-style-type:none;">
                                                <li><ul style="list-style-type:square;">
                                                    <li><?php echo e($row->name??''); ?></li>
                                                    </ul>
                                                </li>
                                            </ul>
                                            <?php else: ?>
                                            <?php echo e($row->name??''); ?>

                                        <?php endif; ?></td>                                                                   
                                        <td><?php echo e(Carbon\Carbon::parse($row->start ??'')->isoFormat('D MMMM Y') ??''); ?></td>
                                        <td><?php echo e(Carbon\Carbon::parse($row->end ??'')->isoFormat('D MMMM Y') ??''); ?></td> 
                                        <td><?php echo e($row->bobot??''); ?></td>
                                        <td><?php echo e($row->progress??''); ?></td>  
                                        <td><?php echo e($row->duration??''); ?> Days</td>                     
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                    
                                </tbody>
                            </table>                     
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <!--actual -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    
                    <h4><span class="">ACTUAL</span></h4>                    
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Report')): ?>
                        <a href="<?php echo e(route('wbs.downloadwbsaktual',encrypt($project->id))); ?>" class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="PDF Download"><i class="mdi mdi-file-pdf-box"></i></a>
                        <a href="<?php echo e(route('wbs.downloadwbsXls',[encrypt($project->id),'type'=>'actual'])); ?>" class="btn btn-warning" data-toggle="tooltip" data-placement="top" title="Xls Download"><i class="mdi mdi-microsoft-excel"></i></a>
                    <?php endif; ?>
                    <div class="row mt-5">
                        <div class="col-3">
                            <div class="card text-white bg-success">
                            <div class="card-body text-center">
                                <h4>Total Progress</h4>
                                <h1><?php echo e($line?collect($line)->sort()->last()."%":""); ?></h1>
                            </div>
                            
                            </div>
                        </div>
                        <div class="col-9">
                            <figure class="highcharts-figure">
                                <div id="actual"></div>                
                            </figure>
                        </div>
                    </div>
                    <div class="tab-content">
                        <div class="tab-pane show active">
                            <table id="scroll-vertical-datatable" class="table table-striped dt-responsive nowrap w-100">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Task Name</th>
                                        <th>Start Date</th>
                                        <th>End Date</th>
                                        <th>Bobot</th> 
                                        <th>Progress</th>                       
                                        <th>Duration</th>                       
                                    </tr>
                                </thead>
                            
                            
                                <tbody>
                                    <?php $__currentLoopData = $actual; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($key+1); ?></td>
                                        <td><?php if($row->level == 1): ?>
                                            <ul>
                                                <li><?php echo e($row->name??''); ?></li>
                                            </ul>
                                            <?php elseif($row->level == 2): ?>
                                            <ul style="list-style-type:none;">
                                                <li><ul style="list-style-type:square;">
                                                    <li><?php echo e($row->name??''); ?></li>
                                                    </ul>
                                                </li>
                                            </ul>
                                            <?php else: ?>
                                            <?php echo e($row->name??''); ?>

                                        <?php endif; ?></td>                                                                   
                                        <td><?php echo e(Carbon\Carbon::parse($row->start ??'')->isoFormat('D MMMM Y') ??''); ?></td>
                                        <td><?php echo e(Carbon\Carbon::parse($row->end ??'')->isoFormat('D MMMM Y') ??''); ?></td>   
                                        <td><?php echo e($row->bobot??''); ?></td>
                                        <td><?php echo e($row->progress??''); ?></td>
                                        <td><?php echo e($row->duration??''); ?> Days</td>                     
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                    
                                </tbody>
                            </table>                     
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div> 
    
    
</div>
<?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>        
    <script src="<?php echo e(asset('backend/assets/js/jquery-3.7.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/app.min.js')); ?>"></script>    
    <script src="<?php echo e(asset('backend/assets/js/vendor/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.bootstrap5.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.responsive.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/responsive.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.buttons.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.html5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.flash.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.print.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.keyTable.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.select.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/fixedColumns.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/fixedHeader.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/pages/demo.datatable-init.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/pages/demo.datatable-init1.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/toastr.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/sweetalert2.all.min.js')); ?>"></script>
    <script src="<?php echo e(asset('highchart/highcharts.js')); ?>"></script>
    
    <script src="<?php echo e(asset('highchart/export-data.js')); ?>"></script>
    <script src="<?php echo e(asset('highchart/export-data.js')); ?>"></script>
    <script nonce="<?php echo e(csp_nonce()); ?>">
        Highcharts.chart('actual', {
            chart: {
                type: 'spline'
            },
            title: {
                text: 'S Curve'
            },
            // subtitle: {
            //     text: 'S Curve'
            // },
            xAxis: {
                categories: <?php echo json_encode($categories); ?>,
                crosshair: true,
                title: {
                    text: "<?php echo e($xaxis_title); ?>"
                }
            },
            yAxis: {
                min: 0,
                title: {
                    text: 'Progress'
                }
            },
            tooltip: {
                headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                    '<td style="padding:0"><b>{point.y:.1f} %</b></td></tr>',
                footerFormat: '</table>',
                shared: true,
                useHTML: true
            },
            plotOptions: {
                column: {
                    pointPadding: 0.2,
                    borderWidth: 0
                }
            },
            series: [{
                name: 'Planning',
                data:<?php echo json_encode($data); ?>

            },
            {
                type: 'spline',
                name: 'Realisasi',
                data: <?php echo json_encode($line); ?>,
                marker: {
                    lineWidth: 2,
                    lineColor: Highcharts.getOptions().colors[5],
                    fillColor: 'white'
                }
            }]
        });
    </script>   
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.partial.admin_master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\projectmanagement\resources\views/admin/wbs/detil.blade.php ENDPATH**/ ?>