
<?php $__env->startSection('title'); ?>
    <title>Edit Project | Aplikasi Project Management</title>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
    <link href="<?php echo e(asset('backend/assets/css/vendor/frappe-gantt.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/icons.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/app.min.css')); ?>" rel="stylesheet" type="text/css" id="app-style" />
    
    
    
    
    <link rel="stylesheet" href="<?php echo e(asset('jqueryui113/jquery-ui.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('datepicker/bootstrap-datepicker.css')); ?>">
    <style nonce="<?php echo e(csp_nonce()); ?>">
        .note-icon-caret:before{
            content: '';
        }
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('main'); ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Update Project')): ?>
        <!-- Start Content-->
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
                                <li class="breadcrumb-item"><a href="<?php echo e(route('project.index')); ?>">Manage Project</a></li>
                                <li class="breadcrumb-item active"><a href="#">Edit Project</a></li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end page title -->
    
            <div class="row">
                <div class="col-lg-12">
                    <div class="row">
                        <form action="<?php echo e(route('project.update', encrypt($project->id))); ?>" method="POST"
                            enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="col-lg-6">
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Project Code</label>
                                    <input type="text" class="form-control" placeholder="Auto Number"
                                        value="<?php echo e($project->full_number); ?>" readonly>
                                    <input type="hidden" class="form-control" name="series" value="<?php echo e($project->series_id); ?>">
                                </div>
    
                                
    
                                <div class="mb-3">
                                    <label for="example-email" class="form-label">Portofolio<span class="text-danger">*</span></label>
                                    <select class="form-control" name="portofolio" id="portofolio_select">
                                        <option>Pilih Portofolio</option>
                                        <?php $__currentLoopData = $portofolio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($row->name); ?>"
                                                <?php echo e($row->name == $project->portofolio ? 'selected' : ''); ?>

                                                data-portofolio_id="<?php echo e($row->id ?? ''); ?>">
                                                <?php echo e($row->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($errors->has('portofolio')): ?>
                                            <span class="text-danger"><?php echo e($errors->first('portofolio')); ?></span>
                                        <?php endif; ?>
                                    </select>
                                </div>
    
                                <div class="mb-3">
                                    <label for="example-email" class="form-label">Group Tag<span class="text-danger">*</span></label>
                                    <?php
                                        $tag = explode(',', $project->grouptag);
                                    ?>
                                    <select class="form-control select2" data-toggle="select2" name="grouptag[]" multiple
                                        id="group_tag_select">
                                        <option disabled>Pilih Group Tag</option>
                                        <?php $__currentLoopData = $gt; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($row->name); ?>"
                                                <?php echo e(in_array($row->name, $tag) ? 'selected' : ''); ?>><?php echo e($row->name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($errors->has('grouptag')): ?>
                                            <span class="text-danger"><?php echo e($errors->first('grouptag')); ?></span>
                                        <?php endif; ?>
                                    </select>
                                </div>
    
    
    
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Project Name<span class="text-danger">*</span></label>
                                    <input type="text" name="project_name" class="form-control"
                                        value="<?php echo e($project->project_name); ?>">
                                    <?php if($errors->has('project_name')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('project_name')); ?></span>
                                    <?php endif; ?>
                                </div>
    
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Project Budget</label>
                                    <input type="number" name="project_budget" class="form-control" id="budget"
                                        value="<?php echo e($project->project_budget); ?>" readonly>
                                </div>
    
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Capex<span class="text-danger">*</span></label>
                                    <input type="number" name="investasi" class="form-control" id="investasi"
                                        value="<?php echo e($project->investasi); ?>">
                                </div>
    
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Opex<span class="text-danger">*</span></label>
                                    <input type="number" name="cost" class="form-control" id="cost"
                                        value="<?php echo e($project->cost); ?>">
                                </div>
    
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Start Date<span class="text-danger">*</span></label>
                                    <input type="text" class="fromdate form-control" name="start_date"
                                        value="<?php echo e($project->start_date); ?>">
                                    <?php if($errors->has('start_date')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('start_date')); ?></span>
                                    <?php endif; ?>
                                </div>
    
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Target Date<span class="text-danger">*</span></label>
                                    <input type="text" class="todate form-control" name="end_date"
                                        value="<?php echo e($project->end_date); ?>">
                                    <?php if($errors->has('end_date')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('end_date')); ?></span>
                                    <?php endif; ?>
                                </div>
    
    
    
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Duration</label>
                                    <input type="number" name="duration" class="duration form-control" readonly
                                        value="<?php echo e($project->duration); ?>">
                                </div>
    
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Project Description<span class="text-danger">*</span></label>
                                    <textarea name="project_description" class="form-control" rows="4"><?php echo $project->project_description; ?></textarea>
                                    <?php if($errors->has('project_description')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('project_description')); ?></span>
                                    <?php endif; ?>
                                </div>
    
                                
    
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Supporting Document<span class="text-danger">*</span></label>
                                    <input type="file" name="project_doc" class="form-control">
                                    <input type="hidden" value="<?php echo e($project->project_doc); ?>" name="old_project_doc">
                                    <?php if(!empty($project->project_doc)): ?>
                                        <span><a href="<?php echo e(Storage::url('app/public/project_doc/' . $project->project_doc)); ?>"
                                                class="text-danger"><i class=" mdi mdi-cloud-download-outline"> Download
                                                    Dokumen Existing</i></a></span>
                                    <?php endif; ?>
    
                                    <?php if($errors->has('project_doc')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('project_doc')); ?></span>
                                    <?php endif; ?>
                                </div>
    
                                <div class="mb-3">
                                    <label for="example-password" class="form-label">Risk Profile</label>
                                    <input type="file" name="risk_doc" class="form-control">
                                    <input type="hidden" value="<?php echo e($project->risk_doc); ?>" name="old_risk_doc">
                                    <?php if(!empty($project->risk_doc)): ?>
                                        <span><a href="<?php echo e(Storage::url('app/public/project_doc/' . $project->risk_doc)); ?>"
                                                class="text-danger"><i class=" mdi mdi-cloud-download-outline"> Download
                                                    Dokumen Existing</i></a></span>
                                    <?php endif; ?>
                                    <?php if($errors->has('risk_doc')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('risk_doc')); ?></span>
                                    <?php endif; ?>
                                </div>
    
                                <div class="mb-3">
                                    <label for="project_owner" class="form-label">Project Owner<span class="text-danger">*</span></label>
                                    <select class="select2 form-control" data-toggle="select2" name="project_owner">
                                        <option>Pilih Project Owner</option>
                                        <?php $__currentLoopData = $employee; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($row->sso_email); ?>"
                                                <?php echo e($row->sso_email == $project->project_owner ? 'selected' : ''); ?>>
                                                <?php echo e($row->nama ?? ''); ?> |
                                                <?php echo e($row->jabatan ?? ''); ?> | <?php echo e($row->sso_email ?? ''); ?> </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php if($errors->has('project_owner')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('project_owner')); ?></span>
                                    <?php endif; ?>
                                </div>
                                <div class="mb-3">
                                    <label for="project_manager" class="form-label">Project Manager<span class="text-danger">*</span></label>
                                    <select class="select2 form-control" data-toggle="select2" name="project_manager">
                                        <option>Pilih Project Manager</option>
                                        <?php $__currentLoopData = $employee; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($row->sso_email); ?>"
                                                <?php echo e($row->sso_email == $project->project_manager ? 'selected' : ''); ?>>
                                                <?php echo e($row->nama ?? ''); ?> |
                                                <?php echo e($row->jabatan ?? ''); ?> | <?php echo e($row->sso_email ?? ''); ?> </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php if($errors->has('project_manager')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('project_manager')); ?></span>
                                    <?php endif; ?>
                                </div>
    
                                <div class="mb-3">
                                    <label for="team_member" class="form-label">Team Member<span class="text-danger">*</span></label>
                                    <?php
                                        $member = explode(',', $project->team_member);
                                    ?>
                                    <select class="select2 form-control" data-toggle="select2" name="team_member[]" multiple required>
                                        <option>Select Team Members</option>
                                        <?php $__currentLoopData = $employee; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($row->sso_email); ?>"
                                            <?php echo e(in_array($row->sso_email, $member) ? 'selected' : ''); ?>><?php echo e($row->nama ?? ''); ?> |
                                            <?php echo e($row->jabatan ?? ''); ?> | <?php echo e($row->sso_email ?? ''); ?>

                                        </option>
                                            
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php if($errors->has('team_member')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('team_member')); ?></span>
                                    <?php endif; ?>
                                </div>
    
    
                            </div>
                    </div>
    
                    <a href="<?php echo e(route('project.index')); ?>"class="btn btn-primary">Kembali</a>
                    <button type="submit" class="btn btn-success">Update</button>
                    </form>
                </div>
            </div>
    
    
        </div> <!-- container -->
<?php endif; ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    

    <script src="<?php echo e(asset('backend/assets/js/jquery-3.6.0.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/app.min.js')); ?>"></script>
    
    <script src="<?php echo e(asset('datepicker/bootstrap-datepicker.js')); ?>"></script>
    
    
    <script src="<?php echo e(asset('jqueryui113/jquery-ui.min.js')); ?>"></script>

    <!-- Summernote JS - CDN Link -->
    
    <script nonce="<?php echo e(csp_nonce()); ?>">
        $(function() {
            $("#investasi, #cost").on("keydown keyup", budget);

            function budget() {
                $("#budget").val(Number($("#investasi").val()) + Number($("#cost").val()));
            }
        });
    </script>
    <script nonce="<?php echo e(csp_nonce()); ?>">
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $(document).on('change', '#portofolio_select', function() {
            var portofolio_id = $(this).find('option:selected').attr('data-portofolio_id');
            if (portofolio_id === '') {
                $('#group_tag_select').html('');
                $('#group_tag_select').append('<option value="">Pilih Group Tag</option>');
            } else {
                $.post("<?php echo e(route('get_group_tag_by_portofolio_id')); ?>", {
                        portofolio_id: portofolio_id,
                    },
                    function(data, status) {
                        console.log(data);
                        $('#group_tag_select').html('');
                        $('#group_tag_select').append('<option value="">Pilih Group Tag</option>');
                        $.each(data.group_tag, function(key, value) {
                            var new_group_tag = '<option value="' + value.name + '">' + value
                                .name + '</option>';
                            $('#group_tag_select').append(new_group_tag);
                        });
                    }, 'json'
                );
            }

        });
        $('.fromdate').datepicker({
            dateFormat: 'yy-mm-dd',
            changeMonth: true,
            changeYear: true,
        });
        $('.todate').datepicker({
            dateFormat: 'yy-mm-dd',
            changeMonth: true,
            changeYear: true,
        });
        $('.fromdate').datepicker().bind("change", function() {
            var minValue = $(this).val();
            minValue = $.datepicker.parseDate("yy-mm-dd", minValue);
            $('.todate').datepicker("option", "minDate", minValue);
            calculate();
        });
        $('.todate').datepicker().bind("change", function() {
            var maxValue = $(this).val();
            maxValue = $.datepicker.parseDate("yy-mm-dd", maxValue);
            $('.fromdate').datepicker("option", "maxDate", maxValue);
            calculate();
        });

        function calculate() {
            var d1 = $('.fromdate').datepicker('getDate');
            var d2 = $('.todate').datepicker('getDate');
            var oneDay = 24 * 60 * 60 * 1000;
            var diff = 0;
            if (d1 && d2) {

                diff = Math.round(Math.abs((d2.getTime() - d1.getTime()) / (oneDay)));
            }
            $('.duration').val(diff);
        }
    </script>
    <script nonce="<?php echo e(csp_nonce()); ?>">
        $(document).ready(function() {
            $("#summernote").summernote({
                toolbar: [
                    ['font', ['bold', 'italic', 'underline', 'strikethrough', 'superscript',
                        'subscript', 'clear'
                    ]],
                    ['fontsize', ['fontsize']],
                    ['color', ['color']],
                    ['para', ['ol', 'ul', 'paragraph', 'height']],
                    ['table', ['table']],
                    ['insert', ['picture', 'link']],
                    ['view', ['undo', 'redo', 'fullscreen', 'help']]
                ]
            });
            $('.dropdown-toggle').dropdown();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.partial.admin_master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\pmo\resources\views/admin/manage_project/edit.blade.php ENDPATH**/ ?>