
<?php $__env->startSection('title'); ?>
<title>Project Management | Profile</title>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>               
    <link href="<?php echo e(asset('backend/assets/css/icons.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/app.min.css')); ?>" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="<?php echo e(asset('backend/assets/css/vendor/dataTables.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/responsive.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/buttons.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/select.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/fixedHeader.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/fixedColumns.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />  
    <link href="<?php echo e(asset('backend/assets/css/fontawesome.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('backend/assets/css/toastr.css')); ?>" rel="stylesheet" />
    <style nonce="<?php echo e(csp_nonce()); ?>">
        .bold{
            font-weight: bold;
        }

        .dataTables_scrollBody{
            max-height: 670px !important;
        }
        
    </style>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('main'); ?>
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Profile</a></li>                       
                    </ol>
                </div>
                <h4 class="page-title"><?php echo e($profile->name??''); ?></h4>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <p class="text-danger"><?php echo e($error); ?></p>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
            </div>
        </div>
    </div>
    <!-- end page title --> 

    <div class="row">
        <div class="col-xl-4 col-lg-5">
            <div class="card text-center">
                <div class="card-body">
                    <?php if(!empty($profile->photo)): ?>
                    <img src="<?php echo e(Storage::url('app/public/photo/' . $profile->photo)); ?>" class="rounded-circle avatar-lg img-thumbnail"
                    alt="profile-image">
                    <?php else: ?>
                        <img src="<?php echo e(asset('backend/assets/images/no-image.png')); ?>" class="rounded-circle avatar-lg img-thumbnail"
                    alt="profile-image">                        
                    <?php endif; ?>
                    

                    <h4 class="mb-0 mt-2"><?php echo e($profile->name??''); ?></h4>
                    
                    <p class="text-muted font-14"><?php echo e($cekuserlogin->getRoleNames()[0]??''); ?></p>

                    
                    <a href="#centermodal<?php echo e($profile->id); ?>" class="btn btn-outline-info edit"
                        data-bs-toggle="modal" data-bs-target="#centermodal<?php echo e($profile->id); ?>">
                        <i class="mdi mdi-square-edit-outline">Update</i>
                    </a>
                    
                    <div id="centermodal<?php echo e($profile->id); ?>" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="NewTaskModalLabel">Update Profile</h4>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <form class="p-2" action="<?php echo e(route('profile.update')); ?>" method="POST" enctype="multipart/form-data">
                                        <?php echo csrf_field(); ?>
                                        <div class="row mb-3">
                                            <div class="col-md-3">
                                                <label for="task-title" class="form-label">Photo</label>
                                            </div>
                                            <div class="col-md-9">
                                                <input type="file" name="photo" class="form-control">
                                                <input type="hidden" name="id" class="form-control" value="<?php echo e($profile->id); ?>">
                                            </div>
                                        </div>
                                        <div class="row mb-3">
                                            <div class="col-md-3">
                                                <label for="task-title" class="form-label">Full Name</label>
                                            </div>
                                            <div class="col-md-9">
                                                <input type="text" name="name" class="form-control form-control-light" placeholder="Enter Full Name" value="<?php echo e($profile->name); ?>" readonly>
                                            </div>
                                        </div>
                                        <div class="row mb-3">
                                            <div class="col-md-3">
                                                <label for="task-title" class="form-label">Email</label>
                                            </div>
                                            <div class="col-md-9">
                                                <input type="text" name="email" class="form-control form-control-light" placeholder="Enter Full Name" value="<?php echo e($profile->email); ?>" readonly>
                                            </div>
                                        </div>
                                        <div class="row mb-3">
                                            <div class="col-md-3">
                                                <label for="task-title" class="form-label">Mobile</label>
                                            </div>
                                            <div class="col-md-9">
                                                <input type="number" name="phone" class="form-control"  placeholder="Enter Phone Number" value="<?php echo e($profile->phone); ?>">
                                                <?php if($errors->has('phone')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('phone')); ?></span>
                                            <?php endif; ?>
                                            </div>
                                        </div>

                                        <div class="row mb-3">
                                            <div class="col-md-3">
                                                <label for="task-title" class="form-label">Branch</label>
                                            </div>
                                            <div class="col-md-9">
                                                <select class="form-select" name="branch">
                                                    <option>Select Branch</option>
                                                    <?php $__currentLoopData = $branch; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($val->name); ?>" <?php echo e($val->name == $profile->branch ? 'selected' : ''); ?>><?php echo e($val->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="row mb-3">
                                            <div class="col-md-3">
                                                <label for="task-title" class="form-label">Country</label>
                                            </div>
                                            <div class="col-md-9">
                                                <select class="form-select" name="country">
                                                    <option>Select Country</option>
                                                    <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($val->name); ?>" <?php echo e($val->name == $profile->country ? 'selected' : ''); ?>><?php echo e($val->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="row mb-3">
                                            <div class="col-md-3">
                                                <label for="task-title" class="form-label">About Me</label>
                                            </div>
                                            <div class="col-md-9">
                                                <textarea type="text" name="about_me" class="form-control"><?php echo e($profile->about_me??''); ?></textarea>
                                            </div>
                                        </div>
                                        

                                        
                    
                                        
                                        
                                        <div class="text-end">
                                            <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
                                            <button type="submit" class="btn btn-primary">Submit</button>
                                        </div>
                                    </form>
                                </div>
                            </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div><!-- /.modal -->
                    

                    <div class="text-start mt-3">
                        <h4 class="font-13 text-uppercase">About Me :</h4>
                        <p class="text-muted font-13 mb-3">
                            <?php echo $profile->about_me??''; ?>

                        </p>
                        <p class="text-muted mb-2 font-13"><strong>Full Name :</strong> <span class="ms-2"><?php echo e($profile->name??''); ?></span></p>

                        <p class="text-muted mb-2 font-13"><strong>Mobile :</strong><span class="ms-2"><?php echo e($profile->phone??''); ?></span></p>

                        <p class="text-muted mb-2 font-13"><strong>Email :</strong> <span class="ms-2 "><?php echo e($profile->email??''); ?></span></p>

                        <p class="text-muted mb-1 font-13"><strong>Branch :</strong> <span class="ms-2"><?php echo e($profile->branch??''); ?></span></p>

                        <p class="text-muted mb-1 font-13"><strong>Location :</strong> <span class="ms-2"><?php echo e($profile->country??''); ?></span></p>
                    </div>

                    <ul class="social-list list-inline mt-3 mb-0">
                        <li class="list-inline-item">
                            <a href="javascript: void(0);" class="social-list-item border-primary text-primary"><i
                                    class="mdi mdi-facebook"></i></a>
                        </li>
                        <li class="list-inline-item">
                            <a href="javascript: void(0);" class="social-list-item border-danger text-danger"><i
                                    class="mdi mdi-google"></i></a>
                        </li>
                        <li class="list-inline-item">
                            <a href="javascript: void(0);" class="social-list-item border-info text-info"><i
                                    class="mdi mdi-twitter"></i></a>
                        </li>
                        <li class="list-inline-item">
                            <a href="javascript: void(0);" class="social-list-item border-secondary text-secondary"><i
                                    class="mdi mdi-github"></i></a>
                        </li>
                    </ul>
                </div> <!-- end card-body -->
            </div> <!-- end card -->

            <!-- Messages-->
            
            <!-- end card-->

        </div> <!-- end col-->
        <?php if(env('APP_TEST') == true): ?>
        <?php else: ?>
        <div class="col-xl-8 col-lg-7">
            <div class="card">
                <form action="<?php echo e(route('profile.change_password',$profile->id)); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <h5>Reset Password</h5>                        
                        <div class="col-md-3">
                            <label for="task-title" class="form-label">Current Password</label>
                        </div>
                        <div class="col-md-9">
                            <input type="password" name="current_password" id="password" class="form-control">
                        </div>
                        <div class="col-md-3">
                            <label for="task-title" class="form-label">New Password</label>
                        </div>
                        <div class="col-md-9">
                            <input type="password" name="new_password" id="new_password" class="form-control"> 
                        </div>
                        <div class="col-md-3">
                            <label for="task-title" class="form-label">New Password Confirmation</label>
                        </div>
                        <div class="col-md-9 mb-3">
                            <input type="password" name="new_confirm_password" id="new_confirm_password" class="form-control"> 
                        </div>
                        <button type="submit" class="btn btn-warning">Update Password</button>
                    </div>
                </form>
            </div>
        </div>
        <?php endif; ?>
        
        <!-- end col -->
    </div>
    <!-- end row-->

</div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>   
    <script src="<?php echo e(asset('backend/assets/js/jquery-3.7.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/app.min.js')); ?>"></script>    
    <script src="<?php echo e(asset('backend/assets/js/vendor/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.bootstrap5.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.responsive.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/responsive.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.buttons.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.html5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.flash.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.print.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.keyTable.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.select.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/fixedColumns.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/fixedHeader.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/pages/demo.datatable-init.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/toastr.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/sweetalert2.all.min.js')); ?>"></script>
    
    <script nonce="<?php echo e(csp_nonce()); ?>">
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': jQuery('meta[name="csrf-token"]').attr('content')
                }
            });

            toastr.options.timeOut = 10000;
            <?php if(Session::has('error')): ?>
                toastr.error('<?php echo e(Session::get('error')); ?>');
            <?php elseif(Session::has('success')): ?>
                toastr.success('<?php echo e(Session::get('success')); ?>');
            <?php elseif(Session::has('warning')): ?>
                toastr.success('<?php echo e(Session::get('warning')); ?>');
            <?php endif; ?>
        });

        $('.date').datepicker({
            format: 'yyyy-mm-dd'
        });
        
        $('.date-own').datepicker({
         minViewMode: 2,
         format: 'yyyy'
       });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.partial.admin_master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\projectmanagement\resources\views/profile/index.blade.php ENDPATH**/ ?>