
<?php $__env->startSection('title'); ?>
<title>Portofolio | Master Data PMO</title>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
    <link href="<?php echo e(asset('backend/assets/css/vendor/frappe-gantt.css')); ?>" rel="stylesheet" type="text/css" />       
    <link href="<?php echo e(asset('backend/assets/css/icons.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/app.min.css')); ?>" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="<?php echo e(asset('backend/assets/css/vendor/dataTables.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/responsive.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/fontawesome.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('backend/assets/css/toastr.css')); ?>" rel="stylesheet" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('main'); ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Master Data')): ?>
<!-- Start Content-->
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item">Dashboard</li>                        
                        <li class="breadcrumb-item active">Manage Portfolio</li>
                    </ol>
                </div>
                <h4 class="page-title">Manage Portfolio 
                    <?php if(env('APP_TEST') == true): ?>
                        <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#centermodal" disabled>Add</button>     
                    <?php else: ?>
                        <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#centermodal">Add</button>     
                    <?php endif; ?>                                                   
                </h4>

                <div class="modal fade" id="centermodal" tabindex="-1" role="dialog" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title" id="myCenterModalLabel">Add Portfolio</h4>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <form class="ps-3 pe-3" action="<?php echo e(route('p.store')); ?>" enctype="multipart/form-data" method="post">
                                <?php echo csrf_field(); ?>
                                <div class="modal-body">                                    
                                    <div class="mb-3">
                                        <label for="username" class="form-label">Name</label><span class="text-danger">*</span>
                                        <input class="form-control" type="text" maxlength="255" name="name"  placeholder="Portfolio Name" value="<?php echo e(old('name')); ?>" required>
                                        <?php if($errors->has('name')): ?>
                                            <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                        <?php endif; ?>                                           
                                    </div>                                    
                                    <div class="mb-3 text-center">
                                        <button class="btn btn-primary" type="submit">Submit</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>                    



    <div class="row">
        <div class="col-12">
            <table id="basic-datatable" class="table nowrap w-100">
                <thead>
                    <tr>
                        <th style="width: 50px;">No</th>
                        <th style="width: 200px;">Name</th>
                        
                        <th>Action</th>
                    </tr>
                </thead>
            
            
                <tbody>
                    <?php $__currentLoopData = $p; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($key+1); ?></td>
                        <td><?php echo e($row->name ??''); ?></td>
                        
                        <td>
                            <a href="#centermodal<?php echo e($row->id); ?>" class="btn btn-outline-info edit"
                                data-bs-toggle="modal" data-bs-target="#centermodal<?php echo e($row->id); ?>">
                                <i class="mdi mdi-square-edit-outline"></i>
                            </a>
                            
                            <div id="centermodal<?php echo e($row->id); ?>" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title" id="myCenterModalLabel">Update Portfolio</h4>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <form class="ps-3 pe-3" action="<?php echo e(route('p.update')); ?>" enctype="multipart/form-data" method="post">
                                            <?php echo csrf_field(); ?>
                                            <div class="modal-body">                                                
                                                <div class="mb-3">
                                                    <label for="username" class="form-label">Name</label><span style="color: red;">*</span>
                                                    <input type="hidden" name="id" value="<?php echo e($row->id); ?>">
                                                    <input class="form-control" type="text" maxlength="255" name="name"  placeholder="Portfolio Name" value="<?php echo e($row->name??''); ?>" required>
                                                    <?php if($errors->has('name')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                                    <?php endif; ?>                                           
                                                </div>            
                                                <div class="mb-3 text-center">
                                                    <button class="btn btn-primary" type="submit">Update</button>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>                               
                            
                            <?php if(env('APP_TEST') == true): ?>
                               
                            <?php else: ?>
                                <a href="#deletemodal<?php echo e($row->id); ?>" class="btn btn-outline-danger"
                                    data-bs-toggle="modal" data-bs-target="#deletemodal<?php echo e($row->id); ?>">
                                    <i class="mdi mdi-trash-can"></i>
                                </a>                                
                            <?php endif; ?>
                            
                            
                            <div id="deletemodal<?php echo e($row->id); ?>" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered">
                                    <div class="modal-content bg-warning">                                        
                                        <form class="ps-3 pe-3" action="<?php echo e(route('p.softdelete',encrypt($row->id))); ?>" enctype="multipart/form-data" method="post">
                                            <?php echo csrf_field(); ?>
                                            <div class="modal-body bg-warning">                                                
                                                <div class="mb-3 text-center text-danger">
                                                    <h5>Are You Sure delete this <?php echo e($row->name??''); ?> ?</h5>
                                                    <input type="hidden" name="id" value="<?php echo e($row->id); ?>">
                                                </div>            
                                                <div class="mb-3 text-center">
                                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
                                                    <button class="btn btn-danger" type="submit">Yes</button>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div> 
                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                    
                </tbody>
            </table>
        </div> <!-- end col -->
    </div>
    <!-- end row-->
    
</div> <!-- container -->
<?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    <script src="<?php echo e(asset('backend/assets/js/jquery-3.7.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/toastr.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/app.min.js')); ?>"></script>    
    <script src="<?php echo e(asset('backend/assets/js/vendor/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.bootstrap5.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.responsive.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/responsive.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/pages/demo.datatable-init.js')); ?>"></script> 
    <script nonce="<?php echo e(csp_nonce()); ?>">
        $(document).ready(function() {
            toastr.options.timeOut = 10000;
            <?php if(Session::has('error')): ?>
                toastr.error('<?php echo e(Session::get('error')); ?>');
            <?php elseif(Session::has('success')): ?>
                toastr.success('<?php echo e(Session::get('success')); ?>');
            <?php elseif(Session::has('warning')): ?>
                toastr.success('<?php echo e(Session::get('warning')); ?>');    
            <?php endif; ?>
        });

    </script>
       
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.partial.admin_master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\projectmanagement\resources\views/admin/master_data/portofolio/index.blade.php ENDPATH**/ ?>